# testops-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import testops_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import testops_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import testops_api
from pprint import pprint
from testops_api.api import agent_api
from testops_api.model.agent_config_resource import AgentConfigResource
from testops_api.model.agent_resource import AgentResource
from testops_api.model.circle_ci_agent_resource import CircleCIAgentResource
from testops_api.model.circle_ci_connection_resource import CircleCIConnectionResource
from testops_api.model.circle_ci_project import CircleCIProject
from testops_api.model.k8_s_agent_resource import K8SAgentResource
# Defining the host is optional and defaults to https://testops.katalon.io
# See configuration.py for a list of all supported configuration parameters.
configuration = testops_api.Configuration(
    host = "https://testops.katalon.io"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicScheme
configuration = testops_api.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)


# Enter a context with an instance of the API client
with testops_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = agent_api.AgentApi(api_client)
    circle_ci_agent_resource = CircleCIAgentResource(
        id=1,
        name="name_example",
        url="url_example",
        username="username_example",
        token="token_example",
        project="project_example",
        vcs_type="vcs_type_example",
        branch="branch_example",
        team_id=1,
        api_key="api_key_example",
    ) # CircleCIAgentResource | 

    try:
        # Creates a new CircleCI agent. Returns the created agent detail.
        api_response = api_instance.create1(circle_ci_agent_resource)
        pprint(api_response)
    except testops_api.ApiException as e:
        print("Exception when calling AgentApi->create1: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://testops.katalon.io*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AgentApi* | [**create1**](docs/AgentApi.md#create1) | **POST** /api/v1/circle-ci-agent | Creates a new CircleCI agent. Returns the created agent detail.
*AgentApi* | [**create5**](docs/AgentApi.md#create5) | **POST** /api/v1/k8s-agent | Creates a K8S agent. Returns the created agent detail.
*AgentApi* | [**create6**](docs/AgentApi.md#create6) | **POST** /api/v1/agent | Creates or updates a Local agent. Returns the agent detail.
*AgentApi* | [**delete7**](docs/AgentApi.md#delete7) | **DELETE** /api/v1/agent/{id} | Deletes a Local agent. Returns the deleted agent detail.
*AgentApi* | [**generate_agent**](docs/AgentApi.md#generate_agent) | **GET** /api/v1/agent | Generates the configuration file for the Local agent. Returns the configuration file.
*AgentApi* | [**get12**](docs/AgentApi.md#get12) | **GET** /api/v1/k8s-agent/{id} | Returns a K8S agent detail.
*AgentApi* | [**get15**](docs/AgentApi.md#get15) | **GET** /api/v1/agent/{id} | Get a Local agent. Returns the agent detail.
*AgentApi* | [**get2**](docs/AgentApi.md#get2) | **GET** /api/v1/circle-ci-agent/{id} | Returns a CircleCI agent detail.
*AgentApi* | [**get_followed_projects**](docs/AgentApi.md#get_followed_projects) | **POST** /api/v1/circle-ci-agent/projects | 
*AgentApi* | [**update2**](docs/AgentApi.md#update2) | **PUT** /api/v1/circle-ci-agent | Updates a CircleCI agent detail. Returns the updated agent detail.
*AgentApi* | [**update9**](docs/AgentApi.md#update9) | **PUT** /api/v1/k8s-agent | Updates a K8S agent detail. Returns the updated agent detail.
*AgentApi* | [**update_threshold**](docs/AgentApi.md#update_threshold) | **PUT** /api/v1/agent/threshold | Updates the threshold for Local agent. Returns the agent detail.
*CommentApi* | [**create2**](docs/CommentApi.md#create2) | **POST** /api/v1/comments | Creates a Comment. Returns the created Comment detail.
*CommentApi* | [**update3**](docs/CommentApi.md#update3) | **PUT** /api/v1/comments | Updates a Comment detail. Returns the updated Comment detail.
*ExecutionApi* | [**bulk_download**](docs/ExecutionApi.md#bulk_download) | **GET** /api/v1/executions/download | Exports and downloads multiple Executions. Returns the archive file comprising the Execution summaries.
*ExecutionApi* | [**delete2**](docs/ExecutionApi.md#delete2) | **DELETE** /api/v1/executions | Deletes multiple Executions. Returns the deleted Execution details.
*ExecutionApi* | [**download1**](docs/ExecutionApi.md#download1) | **GET** /api/v1/executions/{id}/download | Exports and downloads an Execution. Returns the Execution summary file.
*ExecutionApi* | [**download_file**](docs/ExecutionApi.md#download_file) | **GET** /api/v1/executions/{id}/download-file | Downloads all uploaded files of an Execution. Returns the archive file comprising all Execution&#39;s files.
*ExecutionApi* | [**get3**](docs/ExecutionApi.md#get3) | **GET** /api/v1/executions/{id} | Returns an Execution detail.
*ExecutionApi* | [**get_latest_executions**](docs/ExecutionApi.md#get_latest_executions) | **GET** /api/v1/organizations/{id}/latest-executions | 
*ExecutionApi* | [**link_release**](docs/ExecutionApi.md#link_release) | **POST** /api/v1/executions/{id}/link-release | Link an Execution to a Release. Returns the updated Execution detail.
*ExecutionApi* | [**list**](docs/ExecutionApi.md#list) | **GET** /api/v1/executions | 
*ExecutionApi* | [**re_import_execution**](docs/ExecutionApi.md#re_import_execution) | **POST** /api/v1/executions/reimport | Re-imports an Execution. Returns the newly imported Execution detail.
*ExecutionApi* | [**rerun_execution**](docs/ExecutionApi.md#rerun_execution) | **POST** /api/v1/executions/{id}/rerun | Rerun an Execution.
*ExecutionApi* | [**share_execution_report**](docs/ExecutionApi.md#share_execution_report) | **POST** /api/v1/executions/{id}/share-report | Allow users to send email with attached execution reports [PDF].
*ExecutionApi* | [**terminated_execution**](docs/ExecutionApi.md#terminated_execution) | **POST** /api/v1/executions/terminate | Terminates a running Execution. Returns the terminated Execution detail.
*ExecutionApi* | [**unlink_release**](docs/ExecutionApi.md#unlink_release) | **POST** /api/v1/executions/{id}/unlink-release | Unlink an Execution to a Release. Returns the updated Execution detail.
*ExecutionRequestApi* | [**download3**](docs/ExecutionRequestApi.md#download3) | **GET** /api/v1/requests/{id}/download | Downloads an Execution Request report. Returns the report file.
*ExecutionRequestApi* | [**get_execution_request**](docs/ExecutionRequestApi.md#get_execution_request) | **GET** /api/v1/requests/{id} | Returns an Execution Request detail.
*ExecutionTestResultApi* | [**get17**](docs/ExecutionTestResultApi.md#get17) | **GET** /api/v1/test-results/{id} | Returns an Execution Test Result detail.
*ExecutionTestResultApi* | [**get_stdout**](docs/ExecutionTestResultApi.md#get_stdout) | **GET** /api/v1/test-results/logs/{id} | Downloads a test result&#39;s log. Returns the log file.
*ExecutionTestResultApi* | [**link_incidents**](docs/ExecutionTestResultApi.md#link_incidents) | **POST** /api/v1/test-results/{id}/incidents | Link an Execution Test Result to a Task. Returns the created binding detail.
*ExecutionTestResultApi* | [**mark_as_retested**](docs/ExecutionTestResultApi.md#mark_as_retested) | **POST** /api/v1/test-results/{id}/mask-as-retested | 
*ExecutionTestResultApi* | [**unlink_incidents**](docs/ExecutionTestResultApi.md#unlink_incidents) | **DELETE** /api/v1/test-results/{id}/incidents | Unlink an Execution Test Result to a Task. Returns the deleted binding detail.
*ExecutionTestSuiteApi* | [**get7**](docs/ExecutionTestSuiteApi.md#get7) | **GET** /api/v1/execution-test-suites/{id} | Returns an Execution Test Suite detail.
*FileApi* | [**download2**](docs/FileApi.md#download2) | **GET** /api/v1/files/{id} | Downloads a file.
*FileApi* | [**get_upload_url**](docs/FileApi.md#get_upload_url) | **GET** /api/v1/files/upload-url | Returns an upload URL.
*FileApi* | [**get_upload_urls**](docs/FileApi.md#get_upload_urls) | **GET** /api/v1/files/upload-urls | Returns multiple upload URLs.
*JobApi* | [**cancel**](docs/JobApi.md#cancel) | **DELETE** /api/v1/jobs/{id} | Cancels a Job.
*JobApi* | [**get16**](docs/JobApi.md#get16) | **GET** /api/v1/jobs/{id} | Returns a Job detail.
*JobApi* | [**get_job**](docs/JobApi.md#get_job) | **GET** /api/v1/jobs/get-job | Returns the next queued Job of an Agent.
*JobApi* | [**get_latest_jobs**](docs/JobApi.md#get_latest_jobs) | **GET** /api/v1/organizations/{id}/latest-jobs | 
*JobApi* | [**get_log**](docs/JobApi.md#get_log) | **GET** /api/v1/jobs/{id}/get-log | Returns a Job&#39;s log.
*JobApi* | [**get_running_jobs**](docs/JobApi.md#get_running_jobs) | **GET** /api/v1/organizations/{id}/running-jobs | 
*JobApi* | [**update_job**](docs/JobApi.md#update_job) | **POST** /api/v1/jobs/update-job | Updates a Job detail. Returns the updated Job detail.
*KatalonRecorderApi* | [**backup**](docs/KatalonRecorderApi.md#backup) | **POST** /api/v1/katalon-recorder/backup | Saves a Katalon Recorder backup detail.
*KatalonRecorderApi* | [**download4**](docs/KatalonRecorderApi.md#download4) | **GET** /api/v1/katalon-recorder/backup/{id}/download | Downloads a Katalon Recorder backup. Returns the backup file.
*KatalonRecorderApi* | [**upload1**](docs/KatalonRecorderApi.md#upload1) | **POST** /api/v1/katalon-recorder/test-reports | Uploads and processes a Katalon Recorder report.
*ProjectApi* | [**create4**](docs/ProjectApi.md#create4) | **POST** /api/v1/projects | Creates a new Project. Returns the created Project detail.
*ProjectApi* | [**create_or_update1**](docs/ProjectApi.md#create_or_update1) | **POST** /api/v1/project-settings | 
*ProjectApi* | [**create_sample_data**](docs/ProjectApi.md#create_sample_data) | **POST** /api/v1/projects/{id}/sample-data | Create sample data for project.
*ProjectApi* | [**delete4**](docs/ProjectApi.md#delete4) | **DELETE** /api/v1/projects/{id} | Deletes a Project. Returns the deleted Project detail.
*ProjectApi* | [**get6**](docs/ProjectApi.md#get6) | **GET** /api/v1/projects/{id} | Returns a Project detail.
*ProjectApi* | [**get9**](docs/ProjectApi.md#get9) | **GET** /api/v1/project-settings/{id} | 
*ProjectApi* | [**list2**](docs/ProjectApi.md#list2) | **GET** /api/v1/projects | Returns all Projects of a Team.
*ProjectApi* | [**update5**](docs/ProjectApi.md#update5) | **PUT** /api/v1/projects | Updates a Project detail. Returns the updated Project detail.
*ProjectApi* | [**update_status**](docs/ProjectApi.md#update_status) | **PUT** /api/v1/projects/update-status | Updates a Project status. Returns the updated Project detail.
*ReleaseApi* | [**active_release**](docs/ReleaseApi.md#active_release) | **POST** /api/v1/releases/{id}/active | Open or close a Release. Returns the updated Release detail.
*ReleaseApi* | [**create_or_update2**](docs/ReleaseApi.md#create_or_update2) | **POST** /api/v1/releases | Creates or updates a Release. Returns the Release details.
*ReleaseApi* | [**delete5**](docs/ReleaseApi.md#delete5) | **DELETE** /api/v1/releases/{id} | Deletes a Release. Returns the Release details.
*ReleaseApi* | [**update8**](docs/ReleaseApi.md#update8) | **PUT** /api/v1/releases | Updates a Release. Returns the Release details.
*SearchApi* | [**search**](docs/SearchApi.md#search) | **GET** /api/v1/search | Queries the resources of a specific type by multiple conditions. Returns the pageable resources satisfying the query.
*SearchApi* | [**search1**](docs/SearchApi.md#search1) | **POST** /api/v1/search | Queries the resources of a specific type by multiple conditions. Returns the pageable resources satisfying the query.
*SearchApi* | [**test**](docs/SearchApi.md#test) | **GET** /api/v1/search/info | Returns the search configuration.
*TaskApi* | [**create_incident**](docs/TaskApi.md#create_incident) | **POST** /api/v1/incidents | Creates a Task for the test results. Returns the created Task detail.
*TaskApi* | [**get11**](docs/TaskApi.md#get11) | **GET** /api/v1/incidents/{id} | Returns a Task detail.
*TaskApi* | [**update7**](docs/TaskApi.md#update7) | **PUT** /api/v1/incidents | Updates a Task detail. Returns the updated Task detail.
*TeamApi* | [**create3**](docs/TeamApi.md#create3) | **POST** /api/v1/teams | Creates a new Team. Returns the created Team detail.
*TeamApi* | [**delete3**](docs/TeamApi.md#delete3) | **DELETE** /api/v1/teams/{id} | Delete a Team. Returns the delete Team detail.
*TeamApi* | [**get4**](docs/TeamApi.md#get4) | **GET** /api/v1/teams/{id} | Returns a Team detail.
*TeamApi* | [**list1**](docs/TeamApi.md#list1) | **GET** /api/v1/teams | Returns all Teams of the current User.
*TeamApi* | [**update4**](docs/TeamApi.md#update4) | **PUT** /api/v1/teams | Updates a Team detail. Returns the updated Team detail.
*TeamApi* | [**update_user_team**](docs/TeamApi.md#update_user_team) | **PUT** /api/v1/permission/team/user | Updates the role of a User in a Team. Returns the updated detail.
*TestCaseApi* | [**get10**](docs/TestCaseApi.md#get10) | **GET** /api/v1/test-cases/{id} | Returns a Test Case detail.
*TestCaseApi* | [**update6**](docs/TestCaseApi.md#update6) | **POST** /api/v1/test-cases/update | Update a Test Case.
*TestObjectApi* | [**get1**](docs/TestObjectApi.md#get1) | **GET** /api/v1/test-object-entities/{id} | Returns a Test Object detail.
*TestPlanApi* | [**create_and_trigger_sample**](docs/TestPlanApi.md#create_and_trigger_sample) | **POST** /api/v1/run-configurations/sample | Creates and triggers a sample Test Plan. Returns the created Test Plan detail.
*TestPlanApi* | [**create_or_update_configuration**](docs/TestPlanApi.md#create_or_update_configuration) | **POST** /api/v1/run-configurations | Creates or updates a Test Plan. Returns the Test Plan detail.
*TestPlanApi* | [**delete6**](docs/TestPlanApi.md#delete6) | **DELETE** /api/v1/run-configurations/{id} | Deletes a Test Plan. Returns the deleted Test Plan detail.
*TestPlanApi* | [**link_release1**](docs/TestPlanApi.md#link_release1) | **POST** /api/v1/run-configurations/{id}/link-release | Link an Run Configuration to a Release. Returns the updated Run Configuration detail.
*TestPlanApi* | [**unlink_release1**](docs/TestPlanApi.md#unlink_release1) | **POST** /api/v1/run-configurations/{id}/unlink-release | Unlink an Run Configuration to a Release. Returns the updated Run Configuration detail.
*TestProjectApi* | [**create**](docs/TestProjectApi.md#create) | **POST** /api/v1/test-projects/{id}/schedulers | Creates a new schedule for a Test Plan. Returns the created schedule detail.
*TestProjectApi* | [**create_git_repo**](docs/TestProjectApi.md#create_git_repo) | **POST** /api/v1/git/create | Creates a Git Test Project. Returns the Git Test Project detail.
*TestProjectApi* | [**create_sample**](docs/TestProjectApi.md#create_sample) | **POST** /api/v1/test-projects/sample | Creates a new sample Test Project. Returns the created Test Project.
*TestProjectApi* | [**delete**](docs/TestProjectApi.md#delete) | **DELETE** /api/v1/test-projects/{id} | Deletes a Test Project. Returns the deleted Test Project.
*TestProjectApi* | [**delete1**](docs/TestProjectApi.md#delete1) | **DELETE** /api/v1/test-projects/{id}/schedulers/{schedulerId} | Deletes a schedule. Returns the deleted schedule detail.
*TestProjectApi* | [**download**](docs/TestProjectApi.md#download) | **GET** /api/v1/test-projects/{id}/download | Downloads a Test Project package. Returns the latest Test Project package file.
*TestProjectApi* | [**get**](docs/TestProjectApi.md#get) | **GET** /api/v1/test-projects/{id} | Returns a Test Project detail.
*TestProjectApi* | [**get_scheduler**](docs/TestProjectApi.md#get_scheduler) | **GET** /api/v1/test-projects/{id}/schedulers/{schedulerId} | Returns a schedule detail.
*TestProjectApi* | [**get_test_project_git**](docs/TestProjectApi.md#get_test_project_git) | **GET** /api/v1/git/{testProjectGitId} | Returns a Git Test Project detail.
*TestProjectApi* | [**refresh_tsc**](docs/TestProjectApi.md#refresh_tsc) | **POST** /api/v1/test-projects/{id}/refresh-tsc | Refresh Test Suite Collection list of Git Test Project
*TestProjectApi* | [**run**](docs/TestProjectApi.md#run) | **PUT** /api/v1/run-configurations/{id}/execute | Executes a Test Plan. Returns the build information.
*TestProjectApi* | [**update**](docs/TestProjectApi.md#update) | **PUT** /api/v1/test-projects/{id}/schedulers/{schedulerId} | Updates a schedule detail. Returns the updated schedule detail.
*TestProjectApi* | [**update1**](docs/TestProjectApi.md#update1) | **PUT** /api/v1/test-projects/{id} | Updates a Test Project detail. Returns the updated Test Project detail.
*TestProjectApi* | [**update_git_repo**](docs/TestProjectApi.md#update_git_repo) | **POST** /api/v1/git/update | Updates a Git Test Project detail. Returns the updated Git Test Project detail.
*TestProjectApi* | [**update_package**](docs/TestProjectApi.md#update_package) | **POST** /api/v1/test-projects/{id}/update-package | Update a Test Project package. Returns the updated Test Project detail.
*TestProjectApi* | [**upload**](docs/TestProjectApi.md#upload) | **POST** /api/v1/test-projects/upload | Creates a new Test Project. Returns the created Test Project.
*TestReportApi* | [**process_multiple_s3_file**](docs/TestReportApi.md#process_multiple_s3_file) | **POST** /api/v1/katalon/test-reports/multiple | Saves and processes multiple uploaded Katalon reports.
*TestReportApi* | [**process_s3_file**](docs/TestReportApi.md#process_s3_file) | **POST** /api/v1/katalon/test-reports | Saves and processes the uploaded Katalon reports.
*TestReportApi* | [**process_test_ops_reports**](docs/TestReportApi.md#process_test_ops_reports) | **POST** /api/v1/testops-reports | Saves and processes multiple uploaded TestOps reports.
*TestReportApi* | [**update_result**](docs/TestReportApi.md#update_result) | **POST** /api/v1/katalon/test-reports/update-result | 
*TestReportApi* | [**upload_j_unit_reports**](docs/TestReportApi.md#upload_j_unit_reports) | **POST** /api/v1/junit/test-reports | Uploads and processes the JUnit reports to an Execution.
*TestReportApi* | [**upload_test_ng_reports**](docs/TestReportApi.md#upload_test_ng_reports) | **POST** /api/v1/testng/test-reports | Uploads and processes the TestNG reports to an execution.
*TestSuiteApi* | [**get5**](docs/TestSuiteApi.md#get5) | **GET** /api/v1/test-suites/{id} | Returns a Test Suite detail.
*UserApi* | [**assign_user_team**](docs/UserApi.md#assign_user_team) | **POST** /api/v1/users/add | Adds users to a Team. Returns the added User detail.
*UserApi* | [**change_avatar**](docs/UserApi.md#change_avatar) | **POST** /api/v1/users/avatar | Change the avatar of the current User. Returns the updated User detail.
*UserApi* | [**change_name**](docs/UserApi.md#change_name) | **POST** /api/v1/users | Change name for current user.
*UserApi* | [**create_or_update**](docs/UserApi.md#create_or_update) | **POST** /api/v1/user-settings | Updates the User Settings detail. Returns the updated User Settings detail.
*UserApi* | [**download_avatar**](docs/UserApi.md#download_avatar) | **GET** /api/v1/users/avatar | Downloads the avatar of the current User. Returns the current avatar file.
*UserApi* | [**get8**](docs/UserApi.md#get8) | **GET** /api/v1/user-settings | Returns the User Settings detail.
*UserApi* | [**get_me**](docs/UserApi.md#get_me) | **GET** /api/v1/users/me | Returns the current User detail.
*UserApi* | [**remove_user**](docs/UserApi.md#remove_user) | **DELETE** /api/v1/users/remove | Removes a User from a Team. Returns the removed User detail.
*WebServiceApi* | [**get13**](docs/WebServiceApi.md#get13) | **GET** /api/v1/test-objects/{id} | Returns a Web Service detail.
*OrganizationTrialRequestResourceControllerApi* | [**get_trial_request**](docs/OrganizationTrialRequestResourceControllerApi.md#get_trial_request) | **GET** /api/v1/organizations/{id}/trial-request | Get organization trial request data
*OrganizationTrialRequestResourceControllerApi* | [**submit_trial_request**](docs/OrganizationTrialRequestResourceControllerApi.md#submit_trial_request) | **POST** /api/v1/organizations/{id}/trial-request | Submit organization trial request
*ProjectConfigurationResourceControllerApi* | [**get14**](docs/ProjectConfigurationResourceControllerApi.md#get14) | **GET** /api/v1/project-configurations/{id} | 
*ProjectConfigurationResourceControllerApi* | [**list_time_zones**](docs/ProjectConfigurationResourceControllerApi.md#list_time_zones) | **GET** /api/v1/time-zones | 
*ProjectConfigurationResourceControllerApi* | [**update10**](docs/ProjectConfigurationResourceControllerApi.md#update10) | **POST** /api/v1/project-configurations/{id} | 


## Documentation For Models

 - [AgentConfigResource](docs/AgentConfigResource.md)
 - [AgentResource](docs/AgentResource.md)
 - [BuildInfo](docs/BuildInfo.md)
 - [BuildLog](docs/BuildLog.md)
 - [CircleCIAgentResource](docs/CircleCIAgentResource.md)
 - [CircleCIConnectionResource](docs/CircleCIConnectionResource.md)
 - [CircleCIProject](docs/CircleCIProject.md)
 - [CommentResource](docs/CommentResource.md)
 - [ConfigResource](docs/ConfigResource.md)
 - [EnvironmentVariable](docs/EnvironmentVariable.md)
 - [ExecutionRequestResource](docs/ExecutionRequestResource.md)
 - [ExecutionResource](docs/ExecutionResource.md)
 - [ExecutionShareReportResource](docs/ExecutionShareReportResource.md)
 - [ExecutionTestCaseResource](docs/ExecutionTestCaseResource.md)
 - [ExecutionTestResultIdentifyResource](docs/ExecutionTestResultIdentifyResource.md)
 - [ExecutionTestResultResource](docs/ExecutionTestResultResource.md)
 - [ExecutionTestSuiteResource](docs/ExecutionTestSuiteResource.md)
 - [ExternalIssueResource](docs/ExternalIssueResource.md)
 - [ExternalProjectResource](docs/ExternalProjectResource.md)
 - [ExternalReleaseResource](docs/ExternalReleaseResource.md)
 - [FileResource](docs/FileResource.md)
 - [GitRepositoryResource](docs/GitRepositoryResource.md)
 - [IncidentExecutionTestResultResource](docs/IncidentExecutionTestResultResource.md)
 - [IncidentResource](docs/IncidentResource.md)
 - [JobResource](docs/JobResource.md)
 - [K8SAgentResource](docs/K8SAgentResource.md)
 - [LocalTime](docs/LocalTime.md)
 - [OrganizationFeatureFlagResource](docs/OrganizationFeatureFlagResource.md)
 - [OrganizationResource](docs/OrganizationResource.md)
 - [OrganizationTrialRequestResource](docs/OrganizationTrialRequestResource.md)
 - [PageBaseResource](docs/PageBaseResource.md)
 - [PageExecutionResource](docs/PageExecutionResource.md)
 - [PageJobResource](docs/PageJobResource.md)
 - [PageProjectResource](docs/PageProjectResource.md)
 - [PageTeamResource](docs/PageTeamResource.md)
 - [Pageable](docs/Pageable.md)
 - [PlatformResource](docs/PlatformResource.md)
 - [ProjectConfigurationResource](docs/ProjectConfigurationResource.md)
 - [ProjectResource](docs/ProjectResource.md)
 - [ProjectSettingResource](docs/ProjectSettingResource.md)
 - [ReleaseResource](docs/ReleaseResource.md)
 - [ReleaseStatisticsResource](docs/ReleaseStatisticsResource.md)
 - [RunConfigurationResource](docs/RunConfigurationResource.md)
 - [SchedulerResource](docs/SchedulerResource.md)
 - [SearchConfigResource](docs/SearchConfigResource.md)
 - [SearchRequest](docs/SearchRequest.md)
 - [SearchRequestCondition](docs/SearchRequestCondition.md)
 - [SearchRequestFunction](docs/SearchRequestFunction.md)
 - [SearchRequestPagination](docs/SearchRequestPagination.md)
 - [SearchRequestSortOrder](docs/SearchRequestSortOrder.md)
 - [Sort](docs/Sort.md)
 - [TeamResource](docs/TeamResource.md)
 - [TestCasePlatformStatisticsResource](docs/TestCasePlatformStatisticsResource.md)
 - [TestCaseResource](docs/TestCaseResource.md)
 - [TestObjectEntityResource](docs/TestObjectEntityResource.md)
 - [TestObjectResource](docs/TestObjectResource.md)
 - [TestProjectResource](docs/TestProjectResource.md)
 - [TestResultAssertionFailedResource](docs/TestResultAssertionFailedResource.md)
 - [TestResultAssertionResource](docs/TestResultAssertionResource.md)
 - [TestRunResult](docs/TestRunResult.md)
 - [TestSuiteCollectionEntityResource](docs/TestSuiteCollectionEntityResource.md)
 - [TestSuiteCollectionResource](docs/TestSuiteCollectionResource.md)
 - [TestSuiteResource](docs/TestSuiteResource.md)
 - [TimeZoneResource](docs/TimeZoneResource.md)
 - [TimeZoneResourceOffset](docs/TimeZoneResourceOffset.md)
 - [TimeZoneResourceOffsetRules](docs/TimeZoneResourceOffsetRules.md)
 - [TimeZoneResourceOffsetRulesDuration](docs/TimeZoneResourceOffsetRulesDuration.md)
 - [TimeZoneResourceOffsetRulesDurationUnits](docs/TimeZoneResourceOffsetRulesDurationUnits.md)
 - [TimeZoneResourceOffsetRulesTransitionRules](docs/TimeZoneResourceOffsetRulesTransitionRules.md)
 - [TimeZoneResourceOffsetRulesTransitions](docs/TimeZoneResourceOffsetRulesTransitions.md)
 - [TriggerBuildParameter](docs/TriggerBuildParameter.md)
 - [UploadBatchFileResource](docs/UploadBatchFileResource.md)
 - [UploadBatchResource](docs/UploadBatchResource.md)
 - [UploadFileResource](docs/UploadFileResource.md)
 - [UserOrganizationFeatureResource](docs/UserOrganizationFeatureResource.md)
 - [UserResource](docs/UserResource.md)
 - [UserSettingResource](docs/UserSettingResource.md)
 - [UserTeamResource](docs/UserTeamResource.md)


## Documentation For Authorization


## basicScheme

- **Type**: HTTP basic authentication


## Author




## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in testops_api.apis and testops_api.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from testops_api.api.default_api import DefaultApi`
- `from testops_api.model.pet import Pet`

Solution 1:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import testops_api
from testops_api.apis import *
from testops_api.models import *
```

