# testops_api.TestPlanApi

All URIs are relative to *https://testops.katalon.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_and_trigger_sample**](TestPlanApi.md#create_and_trigger_sample) | **POST** /api/v1/run-configurations/sample | Creates and triggers a sample Test Plan. Returns the created Test Plan detail.
[**create_or_update_configuration**](TestPlanApi.md#create_or_update_configuration) | **POST** /api/v1/run-configurations | Creates or updates a Test Plan. Returns the Test Plan detail.
[**delete6**](TestPlanApi.md#delete6) | **DELETE** /api/v1/run-configurations/{id} | Deletes a Test Plan. Returns the deleted Test Plan detail.
[**link_release1**](TestPlanApi.md#link_release1) | **POST** /api/v1/run-configurations/{id}/link-release | Link an Run Configuration to a Release. Returns the updated Run Configuration detail.
[**unlink_release1**](TestPlanApi.md#unlink_release1) | **POST** /api/v1/run-configurations/{id}/unlink-release | Unlink an Run Configuration to a Release. Returns the updated Run Configuration detail.


# **create_and_trigger_sample**
> RunConfigurationResource create_and_trigger_sample(run_configuration_resource)

Creates and triggers a sample Test Plan. Returns the created Test Plan detail.

### Example

* Basic Authentication (basicScheme):
```python
import time
import testops_api
from testops_api.api import test_plan_api
from testops_api.model.run_configuration_resource import RunConfigurationResource
from pprint import pprint
# Defining the host is optional and defaults to https://testops.katalon.io
# See configuration.py for a list of all supported configuration parameters.
configuration = testops_api.Configuration(
    host = "https://testops.katalon.io"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicScheme
configuration = testops_api.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with testops_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = test_plan_api.TestPlanApi(api_client)
    run_configuration_resource = RunConfigurationResource(
        id=1,
        name="name_example",
        command="command_example",
        project_id=1,
        team_id=1,
        test_project_id=1,
        release_id=1,
        test_suite_collection_id=1,
        time_out=1,
        config_type="TSC",
        test_project=TestProjectResource(
            id=1,
            name="name_example",
            description="description_example",
            upload_file_id=1,
            project_id=1,
            team_id=1,
            created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
            latest_job=JobResource(
                id=1,
                build_number=1,
                status="QUEUED",
                queued_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                stop_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                test_project=TestProjectResource(TestProjectResource),
                execution=ExecutionResource(
                    status="PASSED",
                    start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    duration=1,
                    elapsed_duration=1,
                    total_tests=1,
                    total_passed_tests=1,
                    total_failed_tests=1,
                    total_error_tests=1,
                    total_incomplete_tests=1,
                    total_diff_tests=1,
                    total_diff_passed_tests=1,
                    total_diff_failed_tests=1,
                    total_diff_error_tests=1,
                    total_diff_incomplete_tests=1,
                    id=1,
                    project_id=1,
                    project=ProjectResource(
                        id=1,
                        name="name_example",
                        team_id=1,
                        team=TeamResource(
                            id=1,
                            name="name_example",
                            role="OWNER",
                            users=[
                                UserResource(
                                    id=1,
                                    email="email_example",
                                    first_name="first_name_example",
                                    last_name="last_name_example",
                                    password="password_example",
                                    inviting_url="inviting_url_example",
                                    avatar="avatar_example",
                                    configs=ConfigResource(
                                        web_socket_url="web_socket_url_example",
                                        store_url="store_url_example",
                                        profiles=[
                                            "profiles_example",
                                        ],
                                        stripe_public_api="stripe_public_api_example",
                                        build_version="build_version_example",
                                        commit_id="commit_id_example",
                                        sentry_dsn="sentry_dsn_example",
                                        sentry_env="sentry_env_example",
                                        server_url="server_url_example",
                                        io_server_url="io_server_url_example",
                                        max_execution_comparison=1,
                                        max_execution_download=1,
                                        agent_download_urls={
                                            "key": "key_example",
                                        },
                                        report_uploader_download_url="report_uploader_download_url_example",
                                        report_uploader_latest_version="report_uploader_latest_version_example",
                                        sub_domain_pattern="sub_domain_pattern_example",
                                        cancellation_survey_url="cancellation_survey_url_example",
                                        advanced_feature_enabled=True,
                                        using_sub_domain=True,
                                        frameworks_integration_enabled=True,
                                    ),
                                    projects=[
                                        ProjectResource(ProjectResource),
                                    ],
                                    teams=[
                                        TeamResource(TeamResource),
                                    ],
                                    organizations=[
                                        OrganizationResource(
                                            id=1,
                                            name="name_example",
                                            role="OWNER",
                                            org_feature_flag=OrganizationFeatureFlagResource(
                                                organization_id=1,
                                                sub_domain=True,
                                                strict_domain=True,
                                                sso=True,
                                                circle_ci=True,
                                            ),
                                            quota_kse=1,
                                            machine_quota_kse=1,
                                            quota_engine=1,
                                            machine_quota_engine=1,
                                            used_kse=1,
                                            used_engine=1,
                                            quota_test_ops=1,
                                            used_test_ops=1,
                                            number_user=1,
                                            quota_floating_engine=1,
                                            used_floating_engine=1,
                                            can_create_offline_kse=True,
                                            can_create_offline_re=True,
                                            subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscribed=True,
                                            kse_paygo=True,
                                            kre_paygo=True,
                                            paygo_quota=1,
                                            domain="domain_example",
                                            subdomain_url="subdomain_url_example",
                                            strict_domain=True,
                                            logo_url="logo_url_example",
                                            saml_sso=True,
                                            kre_license=True,
                                            test_ops_package="BASIC",
                                            most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        ),
                                    ],
                                    organization_feature=[
                                        UserOrganizationFeatureResource(
                                            user=UserResource(UserResource),
                                            user_id=1,
                                            organization_id=1,
                                            user_email="user_email_example",
                                            organization=OrganizationResource(
                                                id=1,
                                                name="name_example",
                                                role="OWNER",
                                                org_feature_flag=OrganizationFeatureFlagResource(
                                                    organization_id=1,
                                                    sub_domain=True,
                                                    strict_domain=True,
                                                    sso=True,
                                                    circle_ci=True,
                                                ),
                                                quota_kse=1,
                                                machine_quota_kse=1,
                                                quota_engine=1,
                                                machine_quota_engine=1,
                                                used_kse=1,
                                                used_engine=1,
                                                quota_test_ops=1,
                                                used_test_ops=1,
                                                number_user=1,
                                                quota_floating_engine=1,
                                                used_floating_engine=1,
                                                can_create_offline_kse=True,
                                                can_create_offline_re=True,
                                                subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                subscribed=True,
                                                kse_paygo=True,
                                                kre_paygo=True,
                                                paygo_quota=1,
                                                domain="domain_example",
                                                subdomain_url="subdomain_url_example",
                                                strict_domain=True,
                                                logo_url="logo_url_example",
                                                saml_sso=True,
                                                kre_license=True,
                                                test_ops_package="BASIC",
                                                most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            ),
                                            feature="KSE",
                                        ),
                                    ],
                                    trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                    system_role="USER",
                                    business_user=True,
                                    can_create_offline_kse=True,
                                    can_create_offline_re=True,
                                    saml_sso=True,
                                    full_name="full_name_example",
                                ),
                            ],
                            organization=OrganizationResource(
                                id=1,
                                name="name_example",
                                role="OWNER",
                                org_feature_flag=OrganizationFeatureFlagResource(
                                    organization_id=1,
                                    sub_domain=True,
                                    strict_domain=True,
                                    sso=True,
                                    circle_ci=True,
                                ),
                                quota_kse=1,
                                machine_quota_kse=1,
                                quota_engine=1,
                                machine_quota_engine=1,
                                used_kse=1,
                                used_engine=1,
                                quota_test_ops=1,
                                used_test_ops=1,
                                number_user=1,
                                quota_floating_engine=1,
                                used_floating_engine=1,
                                can_create_offline_kse=True,
                                can_create_offline_re=True,
                                subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscribed=True,
                                kse_paygo=True,
                                kre_paygo=True,
                                paygo_quota=1,
                                domain="domain_example",
                                subdomain_url="subdomain_url_example",
                                strict_domain=True,
                                logo_url="logo_url_example",
                                saml_sso=True,
                                kre_license=True,
                                test_ops_package="BASIC",
                                most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            ),
                            organization_id=1,
                        ),
                        timezone="timezone_example",
                        status="ARCHIVE",
                    ),
                    build_id=1,
                    order=1,
                    execution_stage="RUNNING",
                    web_url="web_url_example",
                    test_suite_collections=[
                        TestSuiteCollectionEntityResource(
                            id=1,
                            name="name_example",
                            project=ProjectResource(
                                id=1,
                                name="name_example",
                                team_id=1,
                                team=TeamResource(
                                    id=1,
                                    name="name_example",
                                    role="OWNER",
                                    users=[],
                                    organization=OrganizationResource(
                                        id=1,
                                        name="name_example",
                                        role="OWNER",
                                        org_feature_flag=OrganizationFeatureFlagResource(
                                            organization_id=1,
                                            sub_domain=True,
                                            strict_domain=True,
                                            sso=True,
                                            circle_ci=True,
                                        ),
                                        quota_kse=1,
                                        machine_quota_kse=1,
                                        quota_engine=1,
                                        machine_quota_engine=1,
                                        used_kse=1,
                                        used_engine=1,
                                        quota_test_ops=1,
                                        used_test_ops=1,
                                        number_user=1,
                                        quota_floating_engine=1,
                                        used_floating_engine=1,
                                        can_create_offline_kse=True,
                                        can_create_offline_re=True,
                                        subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        subscribed=True,
                                        kse_paygo=True,
                                        kre_paygo=True,
                                        paygo_quota=1,
                                        domain="domain_example",
                                        subdomain_url="subdomain_url_example",
                                        strict_domain=True,
                                        logo_url="logo_url_example",
                                        saml_sso=True,
                                        kre_license=True,
                                        test_ops_package="BASIC",
                                        most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                    ),
                                    organization_id=1,
                                ),
                                timezone="timezone_example",
                                status="ARCHIVE",
                            ),
                            path="path_example",
                            url_id="url_id_example",
                        ),
                    ],
                    execution_test_suite_resources=[
                        ExecutionTestSuiteResource(
                            status="PASSED",
                            start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            duration=1,
                            elapsed_duration=1,
                            total_tests=1,
                            total_passed_tests=1,
                            total_failed_tests=1,
                            total_error_tests=1,
                            total_incomplete_tests=1,
                            total_diff_tests=1,
                            total_diff_passed_tests=1,
                            total_diff_failed_tests=1,
                            total_diff_error_tests=1,
                            total_diff_incomplete_tests=1,
                            id=1,
                            execution=ExecutionResource(ExecutionResource),
                            test_suite=TestSuiteResource(
                                id=1,
                                name="name_example",
                                path="path_example",
                                test_results=[
                                    ExecutionTestResultResource(
                                        id=1,
                                        test_case=TestCaseResource(
                                            id=1,
                                            name="name_example",
                                            path="path_example",
                                            previous_status="PASSED",
                                            alias="alias_example",
                                            test_module_id=1,
                                            web_url="web_url_example",
                                            description="description_example",
                                            project=ProjectResource(
                                                id=1,
                                                name="name_example",
                                                team_id=1,
                                                team=TeamResource(
                                                    id=1,
                                                    name="name_example",
                                                    role="OWNER",
                                                    users=[],
                                                    organization=OrganizationResource(
                                                        id=1,
                                                        name="name_example",
                                                        role="OWNER",
                                                        org_feature_flag=OrganizationFeatureFlagResource(
                                                            organization_id=1,
                                                            sub_domain=True,
                                                            strict_domain=True,
                                                            sso=True,
                                                            circle_ci=True,
                                                        ),
                                                        quota_kse=1,
                                                        machine_quota_kse=1,
                                                        quota_engine=1,
                                                        machine_quota_engine=1,
                                                        used_kse=1,
                                                        used_engine=1,
                                                        quota_test_ops=1,
                                                        used_test_ops=1,
                                                        number_user=1,
                                                        quota_floating_engine=1,
                                                        used_floating_engine=1,
                                                        can_create_offline_kse=True,
                                                        can_create_offline_re=True,
                                                        subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                        subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                        subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                        subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                        subscribed=True,
                                                        kse_paygo=True,
                                                        kre_paygo=True,
                                                        paygo_quota=1,
                                                        domain="domain_example",
                                                        subdomain_url="subdomain_url_example",
                                                        strict_domain=True,
                                                        logo_url="logo_url_example",
                                                        saml_sso=True,
                                                        kre_license=True,
                                                        test_ops_package="BASIC",
                                                        most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                    ),
                                                    organization_id=1,
                                                ),
                                                timezone="timezone_example",
                                                status="ARCHIVE",
                                            ),
                                            last_execution_test_case=ExecutionTestCaseResource(
                                                status="PASSED",
                                                start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                duration=1,
                                                elapsed_duration=1,
                                                total_tests=1,
                                                total_passed_tests=1,
                                                total_failed_tests=1,
                                                total_error_tests=1,
                                                total_incomplete_tests=1,
                                                total_diff_tests=1,
                                                total_diff_passed_tests=1,
                                                total_diff_failed_tests=1,
                                                total_diff_error_tests=1,
                                                total_diff_incomplete_tests=1,
                                                execution_id=1,
                                                execution_order=1,
                                                test_case_id=1,
                                                project_id=1,
                                            ),
                                            external_issues=[
                                                ExternalIssueResource(
                                                    id=1,
                                                    issue_id="issue_id_example",
                                                    summary="summary_example",
                                                    status="status_example",
                                                    issue_type_icon="issue_type_icon_example",
                                                    issue_type_name="issue_type_name_example",
                                                    url="url_example",
                                                    feature_name="feature_name_example",
                                                    test_cases=[
                                                        TestCaseResource(TestCaseResource),
                                                    ],
                                                ),
                                            ],
                                            type="TEST_CASE",
                                            average_duration=3.14,
                                            max_duration=1,
                                            min_duration=1,
                                            flakiness=3.14,
                                            platform_statistics={
                                                "key": TestCasePlatformStatisticsResource(
                                                    total_tests=1,
                                                    total_passed_tests=1,
                                                    total_failed_tests=1,
                                                    total_error_tests=1,
                                                    total_incomplete_tests=1,
                                                    platform=PlatformResource(
                                                        id=1,
                                                        os_name="os_name_example",
                                                        os_version="os_version_example",
                                                        browser_name="browser_name_example",
                                                        browser_version="browser_version_example",
                                                    ),
                                                    platform_id=1,
                                                ),
                                            },
                                            maintainer=UserResource(
                                                id=1,
                                                email="email_example",
                                                first_name="first_name_example",
                                                last_name="last_name_example",
                                                password="password_example",
                                                inviting_url="inviting_url_example",
                                                avatar="avatar_example",
                                                configs=ConfigResource(
                                                    web_socket_url="web_socket_url_example",
                                                    store_url="store_url_example",
                                                    profiles=[],
                                                    stripe_public_api="stripe_public_api_example",
                                                    build_version="build_version_example",
                                                    commit_id="commit_id_example",
                                                    sentry_dsn="sentry_dsn_example",
                                                    sentry_env="sentry_env_example",
                                                    server_url="server_url_example",
                                                    io_server_url="io_server_url_example",
                                                    max_execution_comparison=1,
                                                    max_execution_download=1,
                                                    agent_download_urls={},
                                                    report_uploader_download_url="report_uploader_download_url_example",
                                                    report_uploader_latest_version="report_uploader_latest_version_example",
                                                    sub_domain_pattern="sub_domain_pattern_example",
                                                    cancellation_survey_url="cancellation_survey_url_example",
                                                    advanced_feature_enabled=True,
                                                    using_sub_domain=True,
                                                    frameworks_integration_enabled=True,
                                                ),
                                                projects=[],
                                                teams=[],
                                                organizations=[],
                                                organization_feature=[],
                                                trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                system_role="USER",
                                                business_user=True,
                                                can_create_offline_kse=True,
                                                can_create_offline_re=True,
                                                saml_sso=True,
                                                full_name="full_name_example",
                                            ),
                                            test_result_assertion=TestResultAssertionResource(
                                                execution_test_result_id=1,
                                                execution_test_result=ExecutionTestResultResource(ExecutionTestResultResource),
                                                total_assertion=1,
                                                passed_assertion=1,
                                                failed_assertion=1,
                                            ),
                                            url_id="url_id_example",
                                        ),
                                        execution=ExecutionResource(ExecutionResource),
                                        platform=PlatformResource(
                                            id=1,
                                            os_name="os_name_example",
                                            os_version="os_version_example",
                                            browser_name="browser_name_example",
                                            browser_version="browser_version_example",
                                        ),
                                        status="PASSED",
                                        same_status_period=1,
                                        error_details_id=1,
                                        stdout_id=1,
                                        description_id=1,
                                        log_id=1,
                                        attachments=[
                                            FileResource(
                                                id=1,
                                                _self="_self_example",
                                                name="name_example",
                                                path="path_example",
                                                url="url_example",
                                                hash="hash_example",
                                                size=1,
                                                upload_url="upload_url_example",
                                                signed_url="signed_url_example",
                                            ),
                                        ],
                                        test_result_assertions_failed=[
                                            TestResultAssertionFailedResource(
                                                id=1,
                                                execution_test_result_id=1,
                                                execution_test_result_resource=ExecutionTestResultResource(ExecutionTestResultResource),
                                                stacktrace="stacktrace_example",
                                                message="message_example",
                                                log_time="log_time_example",
                                            ),
                                        ],
                                        start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        duration=1,
                                        same_failure_results=[
                                            ExecutionTestResultIdentifyResource(
                                                id=1,
                                                execution_id=1,
                                                url_id="url_id_example",
                                            ),
                                        ],
                                        test_suite=TestSuiteResource(TestSuiteResource),
                                        execution_test_suite=ExecutionTestSuiteResource(ExecutionTestSuiteResource),
                                        incidents=[
                                            IncidentResource(
                                                id=1,
                                                name="name_example",
                                                description="description_example",
                                                project_id=1,
                                                team_id=1,
                                                url_ids=[
                                                    "url_ids_example",
                                                ],
                                                execution_test_result_ids=[
                                                    1,
                                                ],
                                                order=1,
                                                created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            ),
                                        ],
                                        profile="profile_example",
                                        has_comment=True,
                                        error_message="error_message_example",
                                        error_detail="error_detail_example",
                                        web_url="web_url_example",
                                        external_issues=[],
                                        failed_test_result_category="APPLICATION",
                                        total_test_object=1,
                                        total_defects=1,
                                        total_assertion=1,
                                        passed_assertion=1,
                                        failed_assertion=1,
                                        url_id="url_id_example",
                                    ),
                                ],
                                project=ProjectResource(
                                    id=1,
                                    name="name_example",
                                    team_id=1,
                                    team=TeamResource(
                                        id=1,
                                        name="name_example",
                                        role="OWNER",
                                        users=[],
                                        organization=OrganizationResource(
                                            id=1,
                                            name="name_example",
                                            role="OWNER",
                                            org_feature_flag=OrganizationFeatureFlagResource(
                                                organization_id=1,
                                                sub_domain=True,
                                                strict_domain=True,
                                                sso=True,
                                                circle_ci=True,
                                            ),
                                            quota_kse=1,
                                            machine_quota_kse=1,
                                            quota_engine=1,
                                            machine_quota_engine=1,
                                            used_kse=1,
                                            used_engine=1,
                                            quota_test_ops=1,
                                            used_test_ops=1,
                                            number_user=1,
                                            quota_floating_engine=1,
                                            used_floating_engine=1,
                                            can_create_offline_kse=True,
                                            can_create_offline_re=True,
                                            subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscribed=True,
                                            kse_paygo=True,
                                            kre_paygo=True,
                                            paygo_quota=1,
                                            domain="domain_example",
                                            subdomain_url="subdomain_url_example",
                                            strict_domain=True,
                                            logo_url="logo_url_example",
                                            saml_sso=True,
                                            kre_license=True,
                                            test_ops_package="BASIC",
                                            most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        ),
                                        organization_id=1,
                                    ),
                                    timezone="timezone_example",
                                    status="ARCHIVE",
                                ),
                                alias="alias_example",
                                last_execution_test_suite=ExecutionTestSuiteResource(ExecutionTestSuiteResource),
                                url_id="url_id_example",
                            ),
                            platform=PlatformResource(
                                id=1,
                                os_name="os_name_example",
                                os_version="os_version_example",
                                browser_name="browser_name_example",
                                browser_version="browser_version_example",
                            ),
                            execution_id=1,
                            profiles=[],
                            has_comment=True,
                            url_id="url_id_example",
                        ),
                    ],
                    release=ReleaseResource(
                        id=1,
                        name="name_example",
                        start_time=dateutil_parser('1970-01-01').date(),
                        end_time=dateutil_parser('1970-01-01').date(),
                        description="description_example",
                        project_id=1,
                        closed=True,
                        external_release=ExternalReleaseResource(
                            id=1,
                            release_id="release_id_example",
                            description="description_example",
                            name="name_example",
                            archived=True,
                            released=True,
                            external_project=ExternalProjectResource(
                                id=1,
                                external_project_id="external_project_id_example",
                                external_project_key="external_project_key_example",
                                name="name_example",
                            ),
                            web_url="web_url_example",
                        ),
                        release_statistics=ReleaseStatisticsResource(
                            id=1,
                            release=ReleaseResource(ReleaseResource),
                            total_passed=1,
                            total_failed=1,
                            total_execution=1,
                        ),
                    ),
                    has_comment=True,
                    user=UserResource(
                        id=1,
                        email="email_example",
                        first_name="first_name_example",
                        last_name="last_name_example",
                        password="password_example",
                        inviting_url="inviting_url_example",
                        avatar="avatar_example",
                        configs=ConfigResource(
                            web_socket_url="web_socket_url_example",
                            store_url="store_url_example",
                            profiles=[],
                            stripe_public_api="stripe_public_api_example",
                            build_version="build_version_example",
                            commit_id="commit_id_example",
                            sentry_dsn="sentry_dsn_example",
                            sentry_env="sentry_env_example",
                            server_url="server_url_example",
                            io_server_url="io_server_url_example",
                            max_execution_comparison=1,
                            max_execution_download=1,
                            agent_download_urls={},
                            report_uploader_download_url="report_uploader_download_url_example",
                            report_uploader_latest_version="report_uploader_latest_version_example",
                            sub_domain_pattern="sub_domain_pattern_example",
                            cancellation_survey_url="cancellation_survey_url_example",
                            advanced_feature_enabled=True,
                            using_sub_domain=True,
                            frameworks_integration_enabled=True,
                        ),
                        projects=[],
                        teams=[],
                        organizations=[],
                        organization_feature=[],
                        trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        system_role="USER",
                        business_user=True,
                        can_create_offline_kse=True,
                        can_create_offline_re=True,
                        saml_sso=True,
                        full_name="full_name_example",
                    ),
                    session_id="session_id_example",
                    build_label="build_label_example",
                    build_url="build_url_example",
                    type="KATALON",
                    jobs=[
                        JobResource(JobResource),
                    ],
                ),
                agent=AgentResource(
                    id=1,
                    name="name_example",
                    ip="ip_example",
                    uuid="uuid_example",
                    last_ping=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    os="os_example",
                    team_id=1,
                    hostname="hostname_example",
                    active=True,
                    threshold=1,
                    num_executing_jobs=1,
                    num_assigned_jobs=1,
                    agent_version="agent_version_example",
                    deleted=True,
                ),
                k8s_agent=K8SAgentResource(
                    id=1,
                    name="name_example",
                    certificate_authority="certificate_authority_example",
                    url="url_example",
                    namespace="namespace_example",
                    username="username_example",
                    password="password_example",
                    token="token_example",
                    cluster="cluster_example",
                    region="region_example",
                    access_key="access_key_example",
                    private_access_key="private_access_key_example",
                    team_id=1,
                    api_key="api_key_example",
                    authentication_type="BASIC_AUTH",
                ),
                circle_ci_agent=CircleCIAgentResource(
                    id=1,
                    name="name_example",
                    url="url_example",
                    username="username_example",
                    token="token_example",
                    project="project_example",
                    vcs_type="vcs_type_example",
                    branch="branch_example",
                    team_id=1,
                    api_key="api_key_example",
                ),
                run_configuration=RunConfigurationResource(RunConfigurationResource),
                order=1,
                parameter=TriggerBuildParameter(
                    download_url="download_url_example",
                    command="command_example",
                    environment_variables=[
                        EnvironmentVariable(
                            name="name_example",
                            value="value_example",
                        ),
                    ],
                    session_id="session_id_example",
                    ks_version="ks_version_example",
                    ks_location="ks_location_example",
                    config_type="TSC",
                    type="KS",
                    git_repository_resource=GitRepositoryResource(
                        id=1,
                        test_project_id=1,
                        name="name_example",
                        repository="repository_example",
                        branch="branch_example",
                        username="username_example",
                        password="password_example",
                        project_id=1,
                        team_id=1,
                        created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        description="description_example",
                        vcs_type="GITHUB",
                    ),
                ),
                trigger_by="MANUAL",
                duration=1,
                trigger_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                user=UserResource(
                    id=1,
                    email="email_example",
                    first_name="first_name_example",
                    last_name="last_name_example",
                    password="password_example",
                    inviting_url="inviting_url_example",
                    avatar="avatar_example",
                    configs=ConfigResource(
                        web_socket_url="web_socket_url_example",
                        store_url="store_url_example",
                        profiles=[],
                        stripe_public_api="stripe_public_api_example",
                        build_version="build_version_example",
                        commit_id="commit_id_example",
                        sentry_dsn="sentry_dsn_example",
                        sentry_env="sentry_env_example",
                        server_url="server_url_example",
                        io_server_url="io_server_url_example",
                        max_execution_comparison=1,
                        max_execution_download=1,
                        agent_download_urls={},
                        report_uploader_download_url="report_uploader_download_url_example",
                        report_uploader_latest_version="report_uploader_latest_version_example",
                        sub_domain_pattern="sub_domain_pattern_example",
                        cancellation_survey_url="cancellation_survey_url_example",
                        advanced_feature_enabled=True,
                        using_sub_domain=True,
                        frameworks_integration_enabled=True,
                    ),
                    projects=[],
                    teams=[],
                    organizations=[],
                    organization_feature=[],
                    trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    system_role="USER",
                    business_user=True,
                    can_create_offline_kse=True,
                    can_create_offline_re=True,
                    saml_sso=True,
                    full_name="full_name_example",
                ),
                scheduler=SchedulerResource(
                    id=1,
                    name="name_example",
                    start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    next_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    active=True,
                    interval=1,
                    interval_unit="MINUTE",
                    run_configuration_id=1,
                    run_configuration=RunConfigurationResource(RunConfigurationResource),
                ),
                project=ProjectResource(
                    id=1,
                    name="name_example",
                    team_id=1,
                    team=TeamResource(
                        id=1,
                        name="name_example",
                        role="OWNER",
                        users=[],
                        organization=OrganizationResource(
                            id=1,
                            name="name_example",
                            role="OWNER",
                            org_feature_flag=OrganizationFeatureFlagResource(
                                organization_id=1,
                                sub_domain=True,
                                strict_domain=True,
                                sso=True,
                                circle_ci=True,
                            ),
                            quota_kse=1,
                            machine_quota_kse=1,
                            quota_engine=1,
                            machine_quota_engine=1,
                            used_kse=1,
                            used_engine=1,
                            quota_test_ops=1,
                            used_test_ops=1,
                            number_user=1,
                            quota_floating_engine=1,
                            used_floating_engine=1,
                            can_create_offline_kse=True,
                            can_create_offline_re=True,
                            subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscribed=True,
                            kse_paygo=True,
                            kre_paygo=True,
                            paygo_quota=1,
                            domain="domain_example",
                            subdomain_url="subdomain_url_example",
                            strict_domain=True,
                            logo_url="logo_url_example",
                            saml_sso=True,
                            kre_license=True,
                            test_ops_package="BASIC",
                            most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        ),
                        organization_id=1,
                    ),
                    timezone="timezone_example",
                    status="ARCHIVE",
                ),
                process_id=1,
                node_status="PENDING_CANCELED",
                run_configuration_id=1,
            ),
            upload_file_name="upload_file_name_example",
            type="KS",
            git_repository=GitRepositoryResource(
                id=1,
                test_project_id=1,
                name="name_example",
                repository="repository_example",
                branch="branch_example",
                username="username_example",
                password="password_example",
                project_id=1,
                team_id=1,
                created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                description="description_example",
                vcs_type="GITHUB",
            ),
            test_suite_collections=[
                TestSuiteCollectionResource(
                    id=1,
                    name="name_example",
                    project=ProjectResource(
                        id=1,
                        name="name_example",
                        team_id=1,
                        team=TeamResource(
                            id=1,
                            name="name_example",
                            role="OWNER",
                            users=[],
                            organization=OrganizationResource(
                                id=1,
                                name="name_example",
                                role="OWNER",
                                org_feature_flag=OrganizationFeatureFlagResource(
                                    organization_id=1,
                                    sub_domain=True,
                                    strict_domain=True,
                                    sso=True,
                                    circle_ci=True,
                                ),
                                quota_kse=1,
                                machine_quota_kse=1,
                                quota_engine=1,
                                machine_quota_engine=1,
                                used_kse=1,
                                used_engine=1,
                                quota_test_ops=1,
                                used_test_ops=1,
                                number_user=1,
                                quota_floating_engine=1,
                                used_floating_engine=1,
                                can_create_offline_kse=True,
                                can_create_offline_re=True,
                                subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscribed=True,
                                kse_paygo=True,
                                kre_paygo=True,
                                paygo_quota=1,
                                domain="domain_example",
                                subdomain_url="subdomain_url_example",
                                strict_domain=True,
                                logo_url="logo_url_example",
                                saml_sso=True,
                                kre_license=True,
                                test_ops_package="BASIC",
                                most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            ),
                            organization_id=1,
                        ),
                        timezone="timezone_example",
                        status="ARCHIVE",
                    ),
                    url_id="url_id_example",
                ),
            ],
        ),
        agents=[
            AgentResource(
                id=1,
                name="name_example",
                ip="ip_example",
                uuid="uuid_example",
                last_ping=dateutil_parser('1970-01-01T00:00:00.00Z'),
                os="os_example",
                team_id=1,
                hostname="hostname_example",
                active=True,
                threshold=1,
                num_executing_jobs=1,
                num_assigned_jobs=1,
                agent_version="agent_version_example",
                deleted=True,
            ),
        ],
        k8s_agents=[
            K8SAgentResource(
                id=1,
                name="name_example",
                certificate_authority="certificate_authority_example",
                url="url_example",
                namespace="namespace_example",
                username="username_example",
                password="password_example",
                token="token_example",
                cluster="cluster_example",
                region="region_example",
                access_key="access_key_example",
                private_access_key="private_access_key_example",
                team_id=1,
                api_key="api_key_example",
                authentication_type="BASIC_AUTH",
            ),
        ],
        circle_ci_agents=[
            CircleCIAgentResource(
                id=1,
                name="name_example",
                url="url_example",
                username="username_example",
                token="token_example",
                project="project_example",
                vcs_type="vcs_type_example",
                branch="branch_example",
                team_id=1,
                api_key="api_key_example",
            ),
        ],
        cloud_type="K8S",
        latest_job=JobResource(
            id=1,
            build_number=1,
            status="QUEUED",
            queued_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
            start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            stop_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            test_project=TestProjectResource(
                id=1,
                name="name_example",
                description="description_example",
                upload_file_id=1,
                project_id=1,
                team_id=1,
                created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                latest_job=JobResource(JobResource),
                upload_file_name="upload_file_name_example",
                type="KS",
                git_repository=GitRepositoryResource(
                    id=1,
                    test_project_id=1,
                    name="name_example",
                    repository="repository_example",
                    branch="branch_example",
                    username="username_example",
                    password="password_example",
                    project_id=1,
                    team_id=1,
                    created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    description="description_example",
                    vcs_type="GITHUB",
                ),
                test_suite_collections=[],
            ),
            execution=ExecutionResource(
                status="PASSED",
                start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                duration=1,
                elapsed_duration=1,
                total_tests=1,
                total_passed_tests=1,
                total_failed_tests=1,
                total_error_tests=1,
                total_incomplete_tests=1,
                total_diff_tests=1,
                total_diff_passed_tests=1,
                total_diff_failed_tests=1,
                total_diff_error_tests=1,
                total_diff_incomplete_tests=1,
                id=1,
                project_id=1,
                project=ProjectResource(
                    id=1,
                    name="name_example",
                    team_id=1,
                    team=TeamResource(
                        id=1,
                        name="name_example",
                        role="OWNER",
                        users=[],
                        organization=OrganizationResource(
                            id=1,
                            name="name_example",
                            role="OWNER",
                            org_feature_flag=OrganizationFeatureFlagResource(
                                organization_id=1,
                                sub_domain=True,
                                strict_domain=True,
                                sso=True,
                                circle_ci=True,
                            ),
                            quota_kse=1,
                            machine_quota_kse=1,
                            quota_engine=1,
                            machine_quota_engine=1,
                            used_kse=1,
                            used_engine=1,
                            quota_test_ops=1,
                            used_test_ops=1,
                            number_user=1,
                            quota_floating_engine=1,
                            used_floating_engine=1,
                            can_create_offline_kse=True,
                            can_create_offline_re=True,
                            subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscribed=True,
                            kse_paygo=True,
                            kre_paygo=True,
                            paygo_quota=1,
                            domain="domain_example",
                            subdomain_url="subdomain_url_example",
                            strict_domain=True,
                            logo_url="logo_url_example",
                            saml_sso=True,
                            kre_license=True,
                            test_ops_package="BASIC",
                            most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        ),
                        organization_id=1,
                    ),
                    timezone="timezone_example",
                    status="ARCHIVE",
                ),
                build_id=1,
                order=1,
                execution_stage="RUNNING",
                web_url="web_url_example",
                test_suite_collections=[],
                execution_test_suite_resources=[],
                release=ReleaseResource(
                    id=1,
                    name="name_example",
                    start_time=dateutil_parser('1970-01-01').date(),
                    end_time=dateutil_parser('1970-01-01').date(),
                    description="description_example",
                    project_id=1,
                    closed=True,
                    external_release=ExternalReleaseResource(
                        id=1,
                        release_id="release_id_example",
                        description="description_example",
                        name="name_example",
                        archived=True,
                        released=True,
                        external_project=ExternalProjectResource(
                            id=1,
                            external_project_id="external_project_id_example",
                            external_project_key="external_project_key_example",
                            name="name_example",
                        ),
                        web_url="web_url_example",
                    ),
                    release_statistics=ReleaseStatisticsResource(
                        id=1,
                        release=ReleaseResource(ReleaseResource),
                        total_passed=1,
                        total_failed=1,
                        total_execution=1,
                    ),
                ),
                has_comment=True,
                user=UserResource(
                    id=1,
                    email="email_example",
                    first_name="first_name_example",
                    last_name="last_name_example",
                    password="password_example",
                    inviting_url="inviting_url_example",
                    avatar="avatar_example",
                    configs=ConfigResource(
                        web_socket_url="web_socket_url_example",
                        store_url="store_url_example",
                        profiles=[],
                        stripe_public_api="stripe_public_api_example",
                        build_version="build_version_example",
                        commit_id="commit_id_example",
                        sentry_dsn="sentry_dsn_example",
                        sentry_env="sentry_env_example",
                        server_url="server_url_example",
                        io_server_url="io_server_url_example",
                        max_execution_comparison=1,
                        max_execution_download=1,
                        agent_download_urls={},
                        report_uploader_download_url="report_uploader_download_url_example",
                        report_uploader_latest_version="report_uploader_latest_version_example",
                        sub_domain_pattern="sub_domain_pattern_example",
                        cancellation_survey_url="cancellation_survey_url_example",
                        advanced_feature_enabled=True,
                        using_sub_domain=True,
                        frameworks_integration_enabled=True,
                    ),
                    projects=[],
                    teams=[],
                    organizations=[],
                    organization_feature=[],
                    trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    system_role="USER",
                    business_user=True,
                    can_create_offline_kse=True,
                    can_create_offline_re=True,
                    saml_sso=True,
                    full_name="full_name_example",
                ),
                session_id="session_id_example",
                build_label="build_label_example",
                build_url="build_url_example",
                type="KATALON",
                jobs=[],
            ),
            agent=AgentResource(
                id=1,
                name="name_example",
                ip="ip_example",
                uuid="uuid_example",
                last_ping=dateutil_parser('1970-01-01T00:00:00.00Z'),
                os="os_example",
                team_id=1,
                hostname="hostname_example",
                active=True,
                threshold=1,
                num_executing_jobs=1,
                num_assigned_jobs=1,
                agent_version="agent_version_example",
                deleted=True,
            ),
            k8s_agent=K8SAgentResource(
                id=1,
                name="name_example",
                certificate_authority="certificate_authority_example",
                url="url_example",
                namespace="namespace_example",
                username="username_example",
                password="password_example",
                token="token_example",
                cluster="cluster_example",
                region="region_example",
                access_key="access_key_example",
                private_access_key="private_access_key_example",
                team_id=1,
                api_key="api_key_example",
                authentication_type="BASIC_AUTH",
            ),
            circle_ci_agent=CircleCIAgentResource(
                id=1,
                name="name_example",
                url="url_example",
                username="username_example",
                token="token_example",
                project="project_example",
                vcs_type="vcs_type_example",
                branch="branch_example",
                team_id=1,
                api_key="api_key_example",
            ),
            run_configuration=RunConfigurationResource(RunConfigurationResource),
            order=1,
            parameter=TriggerBuildParameter(
                download_url="download_url_example",
                command="command_example",
                environment_variables=[],
                session_id="session_id_example",
                ks_version="ks_version_example",
                ks_location="ks_location_example",
                config_type="TSC",
                type="KS",
                git_repository_resource=GitRepositoryResource(
                    id=1,
                    test_project_id=1,
                    name="name_example",
                    repository="repository_example",
                    branch="branch_example",
                    username="username_example",
                    password="password_example",
                    project_id=1,
                    team_id=1,
                    created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    description="description_example",
                    vcs_type="GITHUB",
                ),
            ),
            trigger_by="MANUAL",
            duration=1,
            trigger_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
            user=UserResource(
                id=1,
                email="email_example",
                first_name="first_name_example",
                last_name="last_name_example",
                password="password_example",
                inviting_url="inviting_url_example",
                avatar="avatar_example",
                configs=ConfigResource(
                    web_socket_url="web_socket_url_example",
                    store_url="store_url_example",
                    profiles=[],
                    stripe_public_api="stripe_public_api_example",
                    build_version="build_version_example",
                    commit_id="commit_id_example",
                    sentry_dsn="sentry_dsn_example",
                    sentry_env="sentry_env_example",
                    server_url="server_url_example",
                    io_server_url="io_server_url_example",
                    max_execution_comparison=1,
                    max_execution_download=1,
                    agent_download_urls={},
                    report_uploader_download_url="report_uploader_download_url_example",
                    report_uploader_latest_version="report_uploader_latest_version_example",
                    sub_domain_pattern="sub_domain_pattern_example",
                    cancellation_survey_url="cancellation_survey_url_example",
                    advanced_feature_enabled=True,
                    using_sub_domain=True,
                    frameworks_integration_enabled=True,
                ),
                projects=[],
                teams=[],
                organizations=[],
                organization_feature=[],
                trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                system_role="USER",
                business_user=True,
                can_create_offline_kse=True,
                can_create_offline_re=True,
                saml_sso=True,
                full_name="full_name_example",
            ),
            scheduler=SchedulerResource(
                id=1,
                name="name_example",
                start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                next_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                active=True,
                interval=1,
                interval_unit="MINUTE",
                run_configuration_id=1,
                run_configuration=RunConfigurationResource(RunConfigurationResource),
            ),
            project=ProjectResource(
                id=1,
                name="name_example",
                team_id=1,
                team=TeamResource(
                    id=1,
                    name="name_example",
                    role="OWNER",
                    users=[],
                    organization=OrganizationResource(
                        id=1,
                        name="name_example",
                        role="OWNER",
                        org_feature_flag=OrganizationFeatureFlagResource(
                            organization_id=1,
                            sub_domain=True,
                            strict_domain=True,
                            sso=True,
                            circle_ci=True,
                        ),
                        quota_kse=1,
                        machine_quota_kse=1,
                        quota_engine=1,
                        machine_quota_engine=1,
                        used_kse=1,
                        used_engine=1,
                        quota_test_ops=1,
                        used_test_ops=1,
                        number_user=1,
                        quota_floating_engine=1,
                        used_floating_engine=1,
                        can_create_offline_kse=True,
                        can_create_offline_re=True,
                        subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        subscribed=True,
                        kse_paygo=True,
                        kre_paygo=True,
                        paygo_quota=1,
                        domain="domain_example",
                        subdomain_url="subdomain_url_example",
                        strict_domain=True,
                        logo_url="logo_url_example",
                        saml_sso=True,
                        kre_license=True,
                        test_ops_package="BASIC",
                        most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    ),
                    organization_id=1,
                ),
                timezone="timezone_example",
                status="ARCHIVE",
            ),
            process_id=1,
            node_status="PENDING_CANCELED",
            run_configuration_id=1,
        ),
        generic_command="generic_command_example",
        ks_version="ks_version_example",
        ks_location="ks_location_example",
        next_run_scheduler=SchedulerResource(
            id=1,
            name="name_example",
            start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            next_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            active=True,
            interval=1,
            interval_unit="MINUTE",
            run_configuration_id=1,
            run_configuration=RunConfigurationResource(RunConfigurationResource),
        ),
        release=ReleaseResource(
            id=1,
            name="name_example",
            start_time=dateutil_parser('1970-01-01').date(),
            end_time=dateutil_parser('1970-01-01').date(),
            description="description_example",
            project_id=1,
            closed=True,
            external_release=ExternalReleaseResource(
                id=1,
                release_id="release_id_example",
                description="description_example",
                name="name_example",
                archived=True,
                released=True,
                external_project=ExternalProjectResource(
                    id=1,
                    external_project_id="external_project_id_example",
                    external_project_key="external_project_key_example",
                    name="name_example",
                ),
                web_url="web_url_example",
            ),
            release_statistics=ReleaseStatisticsResource(
                id=1,
                release=ReleaseResource(ReleaseResource),
                total_passed=1,
                total_failed=1,
                total_execution=1,
            ),
        ),
    ) # RunConfigurationResource | 

    # example passing only required values which don't have defaults set
    try:
        # Creates and triggers a sample Test Plan. Returns the created Test Plan detail.
        api_response = api_instance.create_and_trigger_sample(run_configuration_resource)
        pprint(api_response)
    except testops_api.ApiException as e:
        print("Exception when calling TestPlanApi->create_and_trigger_sample: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **run_configuration_resource** | [**RunConfigurationResource**](RunConfigurationResource.md)|  |

### Return type

[**RunConfigurationResource**](RunConfigurationResource.md)

### Authorization

[basicScheme](../README.md#basicScheme)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **create_or_update_configuration**
> RunConfigurationResource create_or_update_configuration(run_configuration_resource)

Creates or updates a Test Plan. Returns the Test Plan detail.

### Example

* Basic Authentication (basicScheme):
```python
import time
import testops_api
from testops_api.api import test_plan_api
from testops_api.model.run_configuration_resource import RunConfigurationResource
from pprint import pprint
# Defining the host is optional and defaults to https://testops.katalon.io
# See configuration.py for a list of all supported configuration parameters.
configuration = testops_api.Configuration(
    host = "https://testops.katalon.io"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicScheme
configuration = testops_api.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with testops_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = test_plan_api.TestPlanApi(api_client)
    run_configuration_resource = RunConfigurationResource(
        id=1,
        name="name_example",
        command="command_example",
        project_id=1,
        team_id=1,
        test_project_id=1,
        release_id=1,
        test_suite_collection_id=1,
        time_out=1,
        config_type="TSC",
        test_project=TestProjectResource(
            id=1,
            name="name_example",
            description="description_example",
            upload_file_id=1,
            project_id=1,
            team_id=1,
            created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
            latest_job=JobResource(
                id=1,
                build_number=1,
                status="QUEUED",
                queued_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                stop_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                test_project=TestProjectResource(TestProjectResource),
                execution=ExecutionResource(
                    status="PASSED",
                    start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    duration=1,
                    elapsed_duration=1,
                    total_tests=1,
                    total_passed_tests=1,
                    total_failed_tests=1,
                    total_error_tests=1,
                    total_incomplete_tests=1,
                    total_diff_tests=1,
                    total_diff_passed_tests=1,
                    total_diff_failed_tests=1,
                    total_diff_error_tests=1,
                    total_diff_incomplete_tests=1,
                    id=1,
                    project_id=1,
                    project=ProjectResource(
                        id=1,
                        name="name_example",
                        team_id=1,
                        team=TeamResource(
                            id=1,
                            name="name_example",
                            role="OWNER",
                            users=[
                                UserResource(
                                    id=1,
                                    email="email_example",
                                    first_name="first_name_example",
                                    last_name="last_name_example",
                                    password="password_example",
                                    inviting_url="inviting_url_example",
                                    avatar="avatar_example",
                                    configs=ConfigResource(
                                        web_socket_url="web_socket_url_example",
                                        store_url="store_url_example",
                                        profiles=[
                                            "profiles_example",
                                        ],
                                        stripe_public_api="stripe_public_api_example",
                                        build_version="build_version_example",
                                        commit_id="commit_id_example",
                                        sentry_dsn="sentry_dsn_example",
                                        sentry_env="sentry_env_example",
                                        server_url="server_url_example",
                                        io_server_url="io_server_url_example",
                                        max_execution_comparison=1,
                                        max_execution_download=1,
                                        agent_download_urls={
                                            "key": "key_example",
                                        },
                                        report_uploader_download_url="report_uploader_download_url_example",
                                        report_uploader_latest_version="report_uploader_latest_version_example",
                                        sub_domain_pattern="sub_domain_pattern_example",
                                        cancellation_survey_url="cancellation_survey_url_example",
                                        advanced_feature_enabled=True,
                                        using_sub_domain=True,
                                        frameworks_integration_enabled=True,
                                    ),
                                    projects=[
                                        ProjectResource(ProjectResource),
                                    ],
                                    teams=[
                                        TeamResource(TeamResource),
                                    ],
                                    organizations=[
                                        OrganizationResource(
                                            id=1,
                                            name="name_example",
                                            role="OWNER",
                                            org_feature_flag=OrganizationFeatureFlagResource(
                                                organization_id=1,
                                                sub_domain=True,
                                                strict_domain=True,
                                                sso=True,
                                                circle_ci=True,
                                            ),
                                            quota_kse=1,
                                            machine_quota_kse=1,
                                            quota_engine=1,
                                            machine_quota_engine=1,
                                            used_kse=1,
                                            used_engine=1,
                                            quota_test_ops=1,
                                            used_test_ops=1,
                                            number_user=1,
                                            quota_floating_engine=1,
                                            used_floating_engine=1,
                                            can_create_offline_kse=True,
                                            can_create_offline_re=True,
                                            subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscribed=True,
                                            kse_paygo=True,
                                            kre_paygo=True,
                                            paygo_quota=1,
                                            domain="domain_example",
                                            subdomain_url="subdomain_url_example",
                                            strict_domain=True,
                                            logo_url="logo_url_example",
                                            saml_sso=True,
                                            kre_license=True,
                                            test_ops_package="BASIC",
                                            most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        ),
                                    ],
                                    organization_feature=[
                                        UserOrganizationFeatureResource(
                                            user=UserResource(UserResource),
                                            user_id=1,
                                            organization_id=1,
                                            user_email="user_email_example",
                                            organization=OrganizationResource(
                                                id=1,
                                                name="name_example",
                                                role="OWNER",
                                                org_feature_flag=OrganizationFeatureFlagResource(
                                                    organization_id=1,
                                                    sub_domain=True,
                                                    strict_domain=True,
                                                    sso=True,
                                                    circle_ci=True,
                                                ),
                                                quota_kse=1,
                                                machine_quota_kse=1,
                                                quota_engine=1,
                                                machine_quota_engine=1,
                                                used_kse=1,
                                                used_engine=1,
                                                quota_test_ops=1,
                                                used_test_ops=1,
                                                number_user=1,
                                                quota_floating_engine=1,
                                                used_floating_engine=1,
                                                can_create_offline_kse=True,
                                                can_create_offline_re=True,
                                                subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                subscribed=True,
                                                kse_paygo=True,
                                                kre_paygo=True,
                                                paygo_quota=1,
                                                domain="domain_example",
                                                subdomain_url="subdomain_url_example",
                                                strict_domain=True,
                                                logo_url="logo_url_example",
                                                saml_sso=True,
                                                kre_license=True,
                                                test_ops_package="BASIC",
                                                most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            ),
                                            feature="KSE",
                                        ),
                                    ],
                                    trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                    system_role="USER",
                                    business_user=True,
                                    can_create_offline_kse=True,
                                    can_create_offline_re=True,
                                    saml_sso=True,
                                    full_name="full_name_example",
                                ),
                            ],
                            organization=OrganizationResource(
                                id=1,
                                name="name_example",
                                role="OWNER",
                                org_feature_flag=OrganizationFeatureFlagResource(
                                    organization_id=1,
                                    sub_domain=True,
                                    strict_domain=True,
                                    sso=True,
                                    circle_ci=True,
                                ),
                                quota_kse=1,
                                machine_quota_kse=1,
                                quota_engine=1,
                                machine_quota_engine=1,
                                used_kse=1,
                                used_engine=1,
                                quota_test_ops=1,
                                used_test_ops=1,
                                number_user=1,
                                quota_floating_engine=1,
                                used_floating_engine=1,
                                can_create_offline_kse=True,
                                can_create_offline_re=True,
                                subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscribed=True,
                                kse_paygo=True,
                                kre_paygo=True,
                                paygo_quota=1,
                                domain="domain_example",
                                subdomain_url="subdomain_url_example",
                                strict_domain=True,
                                logo_url="logo_url_example",
                                saml_sso=True,
                                kre_license=True,
                                test_ops_package="BASIC",
                                most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            ),
                            organization_id=1,
                        ),
                        timezone="timezone_example",
                        status="ARCHIVE",
                    ),
                    build_id=1,
                    order=1,
                    execution_stage="RUNNING",
                    web_url="web_url_example",
                    test_suite_collections=[
                        TestSuiteCollectionEntityResource(
                            id=1,
                            name="name_example",
                            project=ProjectResource(
                                id=1,
                                name="name_example",
                                team_id=1,
                                team=TeamResource(
                                    id=1,
                                    name="name_example",
                                    role="OWNER",
                                    users=[],
                                    organization=OrganizationResource(
                                        id=1,
                                        name="name_example",
                                        role="OWNER",
                                        org_feature_flag=OrganizationFeatureFlagResource(
                                            organization_id=1,
                                            sub_domain=True,
                                            strict_domain=True,
                                            sso=True,
                                            circle_ci=True,
                                        ),
                                        quota_kse=1,
                                        machine_quota_kse=1,
                                        quota_engine=1,
                                        machine_quota_engine=1,
                                        used_kse=1,
                                        used_engine=1,
                                        quota_test_ops=1,
                                        used_test_ops=1,
                                        number_user=1,
                                        quota_floating_engine=1,
                                        used_floating_engine=1,
                                        can_create_offline_kse=True,
                                        can_create_offline_re=True,
                                        subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        subscribed=True,
                                        kse_paygo=True,
                                        kre_paygo=True,
                                        paygo_quota=1,
                                        domain="domain_example",
                                        subdomain_url="subdomain_url_example",
                                        strict_domain=True,
                                        logo_url="logo_url_example",
                                        saml_sso=True,
                                        kre_license=True,
                                        test_ops_package="BASIC",
                                        most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                    ),
                                    organization_id=1,
                                ),
                                timezone="timezone_example",
                                status="ARCHIVE",
                            ),
                            path="path_example",
                            url_id="url_id_example",
                        ),
                    ],
                    execution_test_suite_resources=[
                        ExecutionTestSuiteResource(
                            status="PASSED",
                            start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            duration=1,
                            elapsed_duration=1,
                            total_tests=1,
                            total_passed_tests=1,
                            total_failed_tests=1,
                            total_error_tests=1,
                            total_incomplete_tests=1,
                            total_diff_tests=1,
                            total_diff_passed_tests=1,
                            total_diff_failed_tests=1,
                            total_diff_error_tests=1,
                            total_diff_incomplete_tests=1,
                            id=1,
                            execution=ExecutionResource(ExecutionResource),
                            test_suite=TestSuiteResource(
                                id=1,
                                name="name_example",
                                path="path_example",
                                test_results=[
                                    ExecutionTestResultResource(
                                        id=1,
                                        test_case=TestCaseResource(
                                            id=1,
                                            name="name_example",
                                            path="path_example",
                                            previous_status="PASSED",
                                            alias="alias_example",
                                            test_module_id=1,
                                            web_url="web_url_example",
                                            description="description_example",
                                            project=ProjectResource(
                                                id=1,
                                                name="name_example",
                                                team_id=1,
                                                team=TeamResource(
                                                    id=1,
                                                    name="name_example",
                                                    role="OWNER",
                                                    users=[],
                                                    organization=OrganizationResource(
                                                        id=1,
                                                        name="name_example",
                                                        role="OWNER",
                                                        org_feature_flag=OrganizationFeatureFlagResource(
                                                            organization_id=1,
                                                            sub_domain=True,
                                                            strict_domain=True,
                                                            sso=True,
                                                            circle_ci=True,
                                                        ),
                                                        quota_kse=1,
                                                        machine_quota_kse=1,
                                                        quota_engine=1,
                                                        machine_quota_engine=1,
                                                        used_kse=1,
                                                        used_engine=1,
                                                        quota_test_ops=1,
                                                        used_test_ops=1,
                                                        number_user=1,
                                                        quota_floating_engine=1,
                                                        used_floating_engine=1,
                                                        can_create_offline_kse=True,
                                                        can_create_offline_re=True,
                                                        subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                        subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                        subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                        subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                        subscribed=True,
                                                        kse_paygo=True,
                                                        kre_paygo=True,
                                                        paygo_quota=1,
                                                        domain="domain_example",
                                                        subdomain_url="subdomain_url_example",
                                                        strict_domain=True,
                                                        logo_url="logo_url_example",
                                                        saml_sso=True,
                                                        kre_license=True,
                                                        test_ops_package="BASIC",
                                                        most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                    ),
                                                    organization_id=1,
                                                ),
                                                timezone="timezone_example",
                                                status="ARCHIVE",
                                            ),
                                            last_execution_test_case=ExecutionTestCaseResource(
                                                status="PASSED",
                                                start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                duration=1,
                                                elapsed_duration=1,
                                                total_tests=1,
                                                total_passed_tests=1,
                                                total_failed_tests=1,
                                                total_error_tests=1,
                                                total_incomplete_tests=1,
                                                total_diff_tests=1,
                                                total_diff_passed_tests=1,
                                                total_diff_failed_tests=1,
                                                total_diff_error_tests=1,
                                                total_diff_incomplete_tests=1,
                                                execution_id=1,
                                                execution_order=1,
                                                test_case_id=1,
                                                project_id=1,
                                            ),
                                            external_issues=[
                                                ExternalIssueResource(
                                                    id=1,
                                                    issue_id="issue_id_example",
                                                    summary="summary_example",
                                                    status="status_example",
                                                    issue_type_icon="issue_type_icon_example",
                                                    issue_type_name="issue_type_name_example",
                                                    url="url_example",
                                                    feature_name="feature_name_example",
                                                    test_cases=[
                                                        TestCaseResource(TestCaseResource),
                                                    ],
                                                ),
                                            ],
                                            type="TEST_CASE",
                                            average_duration=3.14,
                                            max_duration=1,
                                            min_duration=1,
                                            flakiness=3.14,
                                            platform_statistics={
                                                "key": TestCasePlatformStatisticsResource(
                                                    total_tests=1,
                                                    total_passed_tests=1,
                                                    total_failed_tests=1,
                                                    total_error_tests=1,
                                                    total_incomplete_tests=1,
                                                    platform=PlatformResource(
                                                        id=1,
                                                        os_name="os_name_example",
                                                        os_version="os_version_example",
                                                        browser_name="browser_name_example",
                                                        browser_version="browser_version_example",
                                                    ),
                                                    platform_id=1,
                                                ),
                                            },
                                            maintainer=UserResource(
                                                id=1,
                                                email="email_example",
                                                first_name="first_name_example",
                                                last_name="last_name_example",
                                                password="password_example",
                                                inviting_url="inviting_url_example",
                                                avatar="avatar_example",
                                                configs=ConfigResource(
                                                    web_socket_url="web_socket_url_example",
                                                    store_url="store_url_example",
                                                    profiles=[],
                                                    stripe_public_api="stripe_public_api_example",
                                                    build_version="build_version_example",
                                                    commit_id="commit_id_example",
                                                    sentry_dsn="sentry_dsn_example",
                                                    sentry_env="sentry_env_example",
                                                    server_url="server_url_example",
                                                    io_server_url="io_server_url_example",
                                                    max_execution_comparison=1,
                                                    max_execution_download=1,
                                                    agent_download_urls={},
                                                    report_uploader_download_url="report_uploader_download_url_example",
                                                    report_uploader_latest_version="report_uploader_latest_version_example",
                                                    sub_domain_pattern="sub_domain_pattern_example",
                                                    cancellation_survey_url="cancellation_survey_url_example",
                                                    advanced_feature_enabled=True,
                                                    using_sub_domain=True,
                                                    frameworks_integration_enabled=True,
                                                ),
                                                projects=[],
                                                teams=[],
                                                organizations=[],
                                                organization_feature=[],
                                                trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                system_role="USER",
                                                business_user=True,
                                                can_create_offline_kse=True,
                                                can_create_offline_re=True,
                                                saml_sso=True,
                                                full_name="full_name_example",
                                            ),
                                            test_result_assertion=TestResultAssertionResource(
                                                execution_test_result_id=1,
                                                execution_test_result=ExecutionTestResultResource(ExecutionTestResultResource),
                                                total_assertion=1,
                                                passed_assertion=1,
                                                failed_assertion=1,
                                            ),
                                            url_id="url_id_example",
                                        ),
                                        execution=ExecutionResource(ExecutionResource),
                                        platform=PlatformResource(
                                            id=1,
                                            os_name="os_name_example",
                                            os_version="os_version_example",
                                            browser_name="browser_name_example",
                                            browser_version="browser_version_example",
                                        ),
                                        status="PASSED",
                                        same_status_period=1,
                                        error_details_id=1,
                                        stdout_id=1,
                                        description_id=1,
                                        log_id=1,
                                        attachments=[
                                            FileResource(
                                                id=1,
                                                _self="_self_example",
                                                name="name_example",
                                                path="path_example",
                                                url="url_example",
                                                hash="hash_example",
                                                size=1,
                                                upload_url="upload_url_example",
                                                signed_url="signed_url_example",
                                            ),
                                        ],
                                        test_result_assertions_failed=[
                                            TestResultAssertionFailedResource(
                                                id=1,
                                                execution_test_result_id=1,
                                                execution_test_result_resource=ExecutionTestResultResource(ExecutionTestResultResource),
                                                stacktrace="stacktrace_example",
                                                message="message_example",
                                                log_time="log_time_example",
                                            ),
                                        ],
                                        start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        duration=1,
                                        same_failure_results=[
                                            ExecutionTestResultIdentifyResource(
                                                id=1,
                                                execution_id=1,
                                                url_id="url_id_example",
                                            ),
                                        ],
                                        test_suite=TestSuiteResource(TestSuiteResource),
                                        execution_test_suite=ExecutionTestSuiteResource(ExecutionTestSuiteResource),
                                        incidents=[
                                            IncidentResource(
                                                id=1,
                                                name="name_example",
                                                description="description_example",
                                                project_id=1,
                                                team_id=1,
                                                url_ids=[
                                                    "url_ids_example",
                                                ],
                                                execution_test_result_ids=[
                                                    1,
                                                ],
                                                order=1,
                                                created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                                updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            ),
                                        ],
                                        profile="profile_example",
                                        has_comment=True,
                                        error_message="error_message_example",
                                        error_detail="error_detail_example",
                                        web_url="web_url_example",
                                        external_issues=[],
                                        failed_test_result_category="APPLICATION",
                                        total_test_object=1,
                                        total_defects=1,
                                        total_assertion=1,
                                        passed_assertion=1,
                                        failed_assertion=1,
                                        url_id="url_id_example",
                                    ),
                                ],
                                project=ProjectResource(
                                    id=1,
                                    name="name_example",
                                    team_id=1,
                                    team=TeamResource(
                                        id=1,
                                        name="name_example",
                                        role="OWNER",
                                        users=[],
                                        organization=OrganizationResource(
                                            id=1,
                                            name="name_example",
                                            role="OWNER",
                                            org_feature_flag=OrganizationFeatureFlagResource(
                                                organization_id=1,
                                                sub_domain=True,
                                                strict_domain=True,
                                                sso=True,
                                                circle_ci=True,
                                            ),
                                            quota_kse=1,
                                            machine_quota_kse=1,
                                            quota_engine=1,
                                            machine_quota_engine=1,
                                            used_kse=1,
                                            used_engine=1,
                                            quota_test_ops=1,
                                            used_test_ops=1,
                                            number_user=1,
                                            quota_floating_engine=1,
                                            used_floating_engine=1,
                                            can_create_offline_kse=True,
                                            can_create_offline_re=True,
                                            subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                            subscribed=True,
                                            kse_paygo=True,
                                            kre_paygo=True,
                                            paygo_quota=1,
                                            domain="domain_example",
                                            subdomain_url="subdomain_url_example",
                                            strict_domain=True,
                                            logo_url="logo_url_example",
                                            saml_sso=True,
                                            kre_license=True,
                                            test_ops_package="BASIC",
                                            most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                        ),
                                        organization_id=1,
                                    ),
                                    timezone="timezone_example",
                                    status="ARCHIVE",
                                ),
                                alias="alias_example",
                                last_execution_test_suite=ExecutionTestSuiteResource(ExecutionTestSuiteResource),
                                url_id="url_id_example",
                            ),
                            platform=PlatformResource(
                                id=1,
                                os_name="os_name_example",
                                os_version="os_version_example",
                                browser_name="browser_name_example",
                                browser_version="browser_version_example",
                            ),
                            execution_id=1,
                            profiles=[],
                            has_comment=True,
                            url_id="url_id_example",
                        ),
                    ],
                    release=ReleaseResource(
                        id=1,
                        name="name_example",
                        start_time=dateutil_parser('1970-01-01').date(),
                        end_time=dateutil_parser('1970-01-01').date(),
                        description="description_example",
                        project_id=1,
                        closed=True,
                        external_release=ExternalReleaseResource(
                            id=1,
                            release_id="release_id_example",
                            description="description_example",
                            name="name_example",
                            archived=True,
                            released=True,
                            external_project=ExternalProjectResource(
                                id=1,
                                external_project_id="external_project_id_example",
                                external_project_key="external_project_key_example",
                                name="name_example",
                            ),
                            web_url="web_url_example",
                        ),
                        release_statistics=ReleaseStatisticsResource(
                            id=1,
                            release=ReleaseResource(ReleaseResource),
                            total_passed=1,
                            total_failed=1,
                            total_execution=1,
                        ),
                    ),
                    has_comment=True,
                    user=UserResource(
                        id=1,
                        email="email_example",
                        first_name="first_name_example",
                        last_name="last_name_example",
                        password="password_example",
                        inviting_url="inviting_url_example",
                        avatar="avatar_example",
                        configs=ConfigResource(
                            web_socket_url="web_socket_url_example",
                            store_url="store_url_example",
                            profiles=[],
                            stripe_public_api="stripe_public_api_example",
                            build_version="build_version_example",
                            commit_id="commit_id_example",
                            sentry_dsn="sentry_dsn_example",
                            sentry_env="sentry_env_example",
                            server_url="server_url_example",
                            io_server_url="io_server_url_example",
                            max_execution_comparison=1,
                            max_execution_download=1,
                            agent_download_urls={},
                            report_uploader_download_url="report_uploader_download_url_example",
                            report_uploader_latest_version="report_uploader_latest_version_example",
                            sub_domain_pattern="sub_domain_pattern_example",
                            cancellation_survey_url="cancellation_survey_url_example",
                            advanced_feature_enabled=True,
                            using_sub_domain=True,
                            frameworks_integration_enabled=True,
                        ),
                        projects=[],
                        teams=[],
                        organizations=[],
                        organization_feature=[],
                        trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        system_role="USER",
                        business_user=True,
                        can_create_offline_kse=True,
                        can_create_offline_re=True,
                        saml_sso=True,
                        full_name="full_name_example",
                    ),
                    session_id="session_id_example",
                    build_label="build_label_example",
                    build_url="build_url_example",
                    type="KATALON",
                    jobs=[
                        JobResource(JobResource),
                    ],
                ),
                agent=AgentResource(
                    id=1,
                    name="name_example",
                    ip="ip_example",
                    uuid="uuid_example",
                    last_ping=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    os="os_example",
                    team_id=1,
                    hostname="hostname_example",
                    active=True,
                    threshold=1,
                    num_executing_jobs=1,
                    num_assigned_jobs=1,
                    agent_version="agent_version_example",
                    deleted=True,
                ),
                k8s_agent=K8SAgentResource(
                    id=1,
                    name="name_example",
                    certificate_authority="certificate_authority_example",
                    url="url_example",
                    namespace="namespace_example",
                    username="username_example",
                    password="password_example",
                    token="token_example",
                    cluster="cluster_example",
                    region="region_example",
                    access_key="access_key_example",
                    private_access_key="private_access_key_example",
                    team_id=1,
                    api_key="api_key_example",
                    authentication_type="BASIC_AUTH",
                ),
                circle_ci_agent=CircleCIAgentResource(
                    id=1,
                    name="name_example",
                    url="url_example",
                    username="username_example",
                    token="token_example",
                    project="project_example",
                    vcs_type="vcs_type_example",
                    branch="branch_example",
                    team_id=1,
                    api_key="api_key_example",
                ),
                run_configuration=RunConfigurationResource(RunConfigurationResource),
                order=1,
                parameter=TriggerBuildParameter(
                    download_url="download_url_example",
                    command="command_example",
                    environment_variables=[
                        EnvironmentVariable(
                            name="name_example",
                            value="value_example",
                        ),
                    ],
                    session_id="session_id_example",
                    ks_version="ks_version_example",
                    ks_location="ks_location_example",
                    config_type="TSC",
                    type="KS",
                    git_repository_resource=GitRepositoryResource(
                        id=1,
                        test_project_id=1,
                        name="name_example",
                        repository="repository_example",
                        branch="branch_example",
                        username="username_example",
                        password="password_example",
                        project_id=1,
                        team_id=1,
                        created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        description="description_example",
                        vcs_type="GITHUB",
                    ),
                ),
                trigger_by="MANUAL",
                duration=1,
                trigger_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                user=UserResource(
                    id=1,
                    email="email_example",
                    first_name="first_name_example",
                    last_name="last_name_example",
                    password="password_example",
                    inviting_url="inviting_url_example",
                    avatar="avatar_example",
                    configs=ConfigResource(
                        web_socket_url="web_socket_url_example",
                        store_url="store_url_example",
                        profiles=[],
                        stripe_public_api="stripe_public_api_example",
                        build_version="build_version_example",
                        commit_id="commit_id_example",
                        sentry_dsn="sentry_dsn_example",
                        sentry_env="sentry_env_example",
                        server_url="server_url_example",
                        io_server_url="io_server_url_example",
                        max_execution_comparison=1,
                        max_execution_download=1,
                        agent_download_urls={},
                        report_uploader_download_url="report_uploader_download_url_example",
                        report_uploader_latest_version="report_uploader_latest_version_example",
                        sub_domain_pattern="sub_domain_pattern_example",
                        cancellation_survey_url="cancellation_survey_url_example",
                        advanced_feature_enabled=True,
                        using_sub_domain=True,
                        frameworks_integration_enabled=True,
                    ),
                    projects=[],
                    teams=[],
                    organizations=[],
                    organization_feature=[],
                    trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    system_role="USER",
                    business_user=True,
                    can_create_offline_kse=True,
                    can_create_offline_re=True,
                    saml_sso=True,
                    full_name="full_name_example",
                ),
                scheduler=SchedulerResource(
                    id=1,
                    name="name_example",
                    start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    next_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    active=True,
                    interval=1,
                    interval_unit="MINUTE",
                    run_configuration_id=1,
                    run_configuration=RunConfigurationResource(RunConfigurationResource),
                ),
                project=ProjectResource(
                    id=1,
                    name="name_example",
                    team_id=1,
                    team=TeamResource(
                        id=1,
                        name="name_example",
                        role="OWNER",
                        users=[],
                        organization=OrganizationResource(
                            id=1,
                            name="name_example",
                            role="OWNER",
                            org_feature_flag=OrganizationFeatureFlagResource(
                                organization_id=1,
                                sub_domain=True,
                                strict_domain=True,
                                sso=True,
                                circle_ci=True,
                            ),
                            quota_kse=1,
                            machine_quota_kse=1,
                            quota_engine=1,
                            machine_quota_engine=1,
                            used_kse=1,
                            used_engine=1,
                            quota_test_ops=1,
                            used_test_ops=1,
                            number_user=1,
                            quota_floating_engine=1,
                            used_floating_engine=1,
                            can_create_offline_kse=True,
                            can_create_offline_re=True,
                            subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscribed=True,
                            kse_paygo=True,
                            kre_paygo=True,
                            paygo_quota=1,
                            domain="domain_example",
                            subdomain_url="subdomain_url_example",
                            strict_domain=True,
                            logo_url="logo_url_example",
                            saml_sso=True,
                            kre_license=True,
                            test_ops_package="BASIC",
                            most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        ),
                        organization_id=1,
                    ),
                    timezone="timezone_example",
                    status="ARCHIVE",
                ),
                process_id=1,
                node_status="PENDING_CANCELED",
                run_configuration_id=1,
            ),
            upload_file_name="upload_file_name_example",
            type="KS",
            git_repository=GitRepositoryResource(
                id=1,
                test_project_id=1,
                name="name_example",
                repository="repository_example",
                branch="branch_example",
                username="username_example",
                password="password_example",
                project_id=1,
                team_id=1,
                created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                description="description_example",
                vcs_type="GITHUB",
            ),
            test_suite_collections=[
                TestSuiteCollectionResource(
                    id=1,
                    name="name_example",
                    project=ProjectResource(
                        id=1,
                        name="name_example",
                        team_id=1,
                        team=TeamResource(
                            id=1,
                            name="name_example",
                            role="OWNER",
                            users=[],
                            organization=OrganizationResource(
                                id=1,
                                name="name_example",
                                role="OWNER",
                                org_feature_flag=OrganizationFeatureFlagResource(
                                    organization_id=1,
                                    sub_domain=True,
                                    strict_domain=True,
                                    sso=True,
                                    circle_ci=True,
                                ),
                                quota_kse=1,
                                machine_quota_kse=1,
                                quota_engine=1,
                                machine_quota_engine=1,
                                used_kse=1,
                                used_engine=1,
                                quota_test_ops=1,
                                used_test_ops=1,
                                number_user=1,
                                quota_floating_engine=1,
                                used_floating_engine=1,
                                can_create_offline_kse=True,
                                can_create_offline_re=True,
                                subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                                subscribed=True,
                                kse_paygo=True,
                                kre_paygo=True,
                                paygo_quota=1,
                                domain="domain_example",
                                subdomain_url="subdomain_url_example",
                                strict_domain=True,
                                logo_url="logo_url_example",
                                saml_sso=True,
                                kre_license=True,
                                test_ops_package="BASIC",
                                most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            ),
                            organization_id=1,
                        ),
                        timezone="timezone_example",
                        status="ARCHIVE",
                    ),
                    url_id="url_id_example",
                ),
            ],
        ),
        agents=[
            AgentResource(
                id=1,
                name="name_example",
                ip="ip_example",
                uuid="uuid_example",
                last_ping=dateutil_parser('1970-01-01T00:00:00.00Z'),
                os="os_example",
                team_id=1,
                hostname="hostname_example",
                active=True,
                threshold=1,
                num_executing_jobs=1,
                num_assigned_jobs=1,
                agent_version="agent_version_example",
                deleted=True,
            ),
        ],
        k8s_agents=[
            K8SAgentResource(
                id=1,
                name="name_example",
                certificate_authority="certificate_authority_example",
                url="url_example",
                namespace="namespace_example",
                username="username_example",
                password="password_example",
                token="token_example",
                cluster="cluster_example",
                region="region_example",
                access_key="access_key_example",
                private_access_key="private_access_key_example",
                team_id=1,
                api_key="api_key_example",
                authentication_type="BASIC_AUTH",
            ),
        ],
        circle_ci_agents=[
            CircleCIAgentResource(
                id=1,
                name="name_example",
                url="url_example",
                username="username_example",
                token="token_example",
                project="project_example",
                vcs_type="vcs_type_example",
                branch="branch_example",
                team_id=1,
                api_key="api_key_example",
            ),
        ],
        cloud_type="K8S",
        latest_job=JobResource(
            id=1,
            build_number=1,
            status="QUEUED",
            queued_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
            start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            stop_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            test_project=TestProjectResource(
                id=1,
                name="name_example",
                description="description_example",
                upload_file_id=1,
                project_id=1,
                team_id=1,
                created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                latest_job=JobResource(JobResource),
                upload_file_name="upload_file_name_example",
                type="KS",
                git_repository=GitRepositoryResource(
                    id=1,
                    test_project_id=1,
                    name="name_example",
                    repository="repository_example",
                    branch="branch_example",
                    username="username_example",
                    password="password_example",
                    project_id=1,
                    team_id=1,
                    created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    description="description_example",
                    vcs_type="GITHUB",
                ),
                test_suite_collections=[],
            ),
            execution=ExecutionResource(
                status="PASSED",
                start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                duration=1,
                elapsed_duration=1,
                total_tests=1,
                total_passed_tests=1,
                total_failed_tests=1,
                total_error_tests=1,
                total_incomplete_tests=1,
                total_diff_tests=1,
                total_diff_passed_tests=1,
                total_diff_failed_tests=1,
                total_diff_error_tests=1,
                total_diff_incomplete_tests=1,
                id=1,
                project_id=1,
                project=ProjectResource(
                    id=1,
                    name="name_example",
                    team_id=1,
                    team=TeamResource(
                        id=1,
                        name="name_example",
                        role="OWNER",
                        users=[],
                        organization=OrganizationResource(
                            id=1,
                            name="name_example",
                            role="OWNER",
                            org_feature_flag=OrganizationFeatureFlagResource(
                                organization_id=1,
                                sub_domain=True,
                                strict_domain=True,
                                sso=True,
                                circle_ci=True,
                            ),
                            quota_kse=1,
                            machine_quota_kse=1,
                            quota_engine=1,
                            machine_quota_engine=1,
                            used_kse=1,
                            used_engine=1,
                            quota_test_ops=1,
                            used_test_ops=1,
                            number_user=1,
                            quota_floating_engine=1,
                            used_floating_engine=1,
                            can_create_offline_kse=True,
                            can_create_offline_re=True,
                            subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                            subscribed=True,
                            kse_paygo=True,
                            kre_paygo=True,
                            paygo_quota=1,
                            domain="domain_example",
                            subdomain_url="subdomain_url_example",
                            strict_domain=True,
                            logo_url="logo_url_example",
                            saml_sso=True,
                            kre_license=True,
                            test_ops_package="BASIC",
                            most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        ),
                        organization_id=1,
                    ),
                    timezone="timezone_example",
                    status="ARCHIVE",
                ),
                build_id=1,
                order=1,
                execution_stage="RUNNING",
                web_url="web_url_example",
                test_suite_collections=[],
                execution_test_suite_resources=[],
                release=ReleaseResource(
                    id=1,
                    name="name_example",
                    start_time=dateutil_parser('1970-01-01').date(),
                    end_time=dateutil_parser('1970-01-01').date(),
                    description="description_example",
                    project_id=1,
                    closed=True,
                    external_release=ExternalReleaseResource(
                        id=1,
                        release_id="release_id_example",
                        description="description_example",
                        name="name_example",
                        archived=True,
                        released=True,
                        external_project=ExternalProjectResource(
                            id=1,
                            external_project_id="external_project_id_example",
                            external_project_key="external_project_key_example",
                            name="name_example",
                        ),
                        web_url="web_url_example",
                    ),
                    release_statistics=ReleaseStatisticsResource(
                        id=1,
                        release=ReleaseResource(ReleaseResource),
                        total_passed=1,
                        total_failed=1,
                        total_execution=1,
                    ),
                ),
                has_comment=True,
                user=UserResource(
                    id=1,
                    email="email_example",
                    first_name="first_name_example",
                    last_name="last_name_example",
                    password="password_example",
                    inviting_url="inviting_url_example",
                    avatar="avatar_example",
                    configs=ConfigResource(
                        web_socket_url="web_socket_url_example",
                        store_url="store_url_example",
                        profiles=[],
                        stripe_public_api="stripe_public_api_example",
                        build_version="build_version_example",
                        commit_id="commit_id_example",
                        sentry_dsn="sentry_dsn_example",
                        sentry_env="sentry_env_example",
                        server_url="server_url_example",
                        io_server_url="io_server_url_example",
                        max_execution_comparison=1,
                        max_execution_download=1,
                        agent_download_urls={},
                        report_uploader_download_url="report_uploader_download_url_example",
                        report_uploader_latest_version="report_uploader_latest_version_example",
                        sub_domain_pattern="sub_domain_pattern_example",
                        cancellation_survey_url="cancellation_survey_url_example",
                        advanced_feature_enabled=True,
                        using_sub_domain=True,
                        frameworks_integration_enabled=True,
                    ),
                    projects=[],
                    teams=[],
                    organizations=[],
                    organization_feature=[],
                    trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    system_role="USER",
                    business_user=True,
                    can_create_offline_kse=True,
                    can_create_offline_re=True,
                    saml_sso=True,
                    full_name="full_name_example",
                ),
                session_id="session_id_example",
                build_label="build_label_example",
                build_url="build_url_example",
                type="KATALON",
                jobs=[],
            ),
            agent=AgentResource(
                id=1,
                name="name_example",
                ip="ip_example",
                uuid="uuid_example",
                last_ping=dateutil_parser('1970-01-01T00:00:00.00Z'),
                os="os_example",
                team_id=1,
                hostname="hostname_example",
                active=True,
                threshold=1,
                num_executing_jobs=1,
                num_assigned_jobs=1,
                agent_version="agent_version_example",
                deleted=True,
            ),
            k8s_agent=K8SAgentResource(
                id=1,
                name="name_example",
                certificate_authority="certificate_authority_example",
                url="url_example",
                namespace="namespace_example",
                username="username_example",
                password="password_example",
                token="token_example",
                cluster="cluster_example",
                region="region_example",
                access_key="access_key_example",
                private_access_key="private_access_key_example",
                team_id=1,
                api_key="api_key_example",
                authentication_type="BASIC_AUTH",
            ),
            circle_ci_agent=CircleCIAgentResource(
                id=1,
                name="name_example",
                url="url_example",
                username="username_example",
                token="token_example",
                project="project_example",
                vcs_type="vcs_type_example",
                branch="branch_example",
                team_id=1,
                api_key="api_key_example",
            ),
            run_configuration=RunConfigurationResource(RunConfigurationResource),
            order=1,
            parameter=TriggerBuildParameter(
                download_url="download_url_example",
                command="command_example",
                environment_variables=[],
                session_id="session_id_example",
                ks_version="ks_version_example",
                ks_location="ks_location_example",
                config_type="TSC",
                type="KS",
                git_repository_resource=GitRepositoryResource(
                    id=1,
                    test_project_id=1,
                    name="name_example",
                    repository="repository_example",
                    branch="branch_example",
                    username="username_example",
                    password="password_example",
                    project_id=1,
                    team_id=1,
                    created_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    updated_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    description="description_example",
                    vcs_type="GITHUB",
                ),
            ),
            trigger_by="MANUAL",
            duration=1,
            trigger_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
            user=UserResource(
                id=1,
                email="email_example",
                first_name="first_name_example",
                last_name="last_name_example",
                password="password_example",
                inviting_url="inviting_url_example",
                avatar="avatar_example",
                configs=ConfigResource(
                    web_socket_url="web_socket_url_example",
                    store_url="store_url_example",
                    profiles=[],
                    stripe_public_api="stripe_public_api_example",
                    build_version="build_version_example",
                    commit_id="commit_id_example",
                    sentry_dsn="sentry_dsn_example",
                    sentry_env="sentry_env_example",
                    server_url="server_url_example",
                    io_server_url="io_server_url_example",
                    max_execution_comparison=1,
                    max_execution_download=1,
                    agent_download_urls={},
                    report_uploader_download_url="report_uploader_download_url_example",
                    report_uploader_latest_version="report_uploader_latest_version_example",
                    sub_domain_pattern="sub_domain_pattern_example",
                    cancellation_survey_url="cancellation_survey_url_example",
                    advanced_feature_enabled=True,
                    using_sub_domain=True,
                    frameworks_integration_enabled=True,
                ),
                projects=[],
                teams=[],
                organizations=[],
                organization_feature=[],
                trial_expiration_date=dateutil_parser('1970-01-01T00:00:00.00Z'),
                system_role="USER",
                business_user=True,
                can_create_offline_kse=True,
                can_create_offline_re=True,
                saml_sso=True,
                full_name="full_name_example",
            ),
            scheduler=SchedulerResource(
                id=1,
                name="name_example",
                start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                next_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
                active=True,
                interval=1,
                interval_unit="MINUTE",
                run_configuration_id=1,
                run_configuration=RunConfigurationResource(RunConfigurationResource),
            ),
            project=ProjectResource(
                id=1,
                name="name_example",
                team_id=1,
                team=TeamResource(
                    id=1,
                    name="name_example",
                    role="OWNER",
                    users=[],
                    organization=OrganizationResource(
                        id=1,
                        name="name_example",
                        role="OWNER",
                        org_feature_flag=OrganizationFeatureFlagResource(
                            organization_id=1,
                            sub_domain=True,
                            strict_domain=True,
                            sso=True,
                            circle_ci=True,
                        ),
                        quota_kse=1,
                        machine_quota_kse=1,
                        quota_engine=1,
                        machine_quota_engine=1,
                        used_kse=1,
                        used_engine=1,
                        quota_test_ops=1,
                        used_test_ops=1,
                        number_user=1,
                        quota_floating_engine=1,
                        used_floating_engine=1,
                        can_create_offline_kse=True,
                        can_create_offline_re=True,
                        subscription_expiry_date_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        subscription_expiry_date_kse=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        subscription_expiry_date_floating_engine=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        subscription_expiry_date_test_ops=dateutil_parser('1970-01-01T00:00:00.00Z'),
                        subscribed=True,
                        kse_paygo=True,
                        kre_paygo=True,
                        paygo_quota=1,
                        domain="domain_example",
                        subdomain_url="subdomain_url_example",
                        strict_domain=True,
                        logo_url="logo_url_example",
                        saml_sso=True,
                        kre_license=True,
                        test_ops_package="BASIC",
                        most_recent_project_accessed_at=dateutil_parser('1970-01-01T00:00:00.00Z'),
                    ),
                    organization_id=1,
                ),
                timezone="timezone_example",
                status="ARCHIVE",
            ),
            process_id=1,
            node_status="PENDING_CANCELED",
            run_configuration_id=1,
        ),
        generic_command="generic_command_example",
        ks_version="ks_version_example",
        ks_location="ks_location_example",
        next_run_scheduler=SchedulerResource(
            id=1,
            name="name_example",
            start_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            next_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            end_time=dateutil_parser('1970-01-01T00:00:00.00Z'),
            active=True,
            interval=1,
            interval_unit="MINUTE",
            run_configuration_id=1,
            run_configuration=RunConfigurationResource(RunConfigurationResource),
        ),
        release=ReleaseResource(
            id=1,
            name="name_example",
            start_time=dateutil_parser('1970-01-01').date(),
            end_time=dateutil_parser('1970-01-01').date(),
            description="description_example",
            project_id=1,
            closed=True,
            external_release=ExternalReleaseResource(
                id=1,
                release_id="release_id_example",
                description="description_example",
                name="name_example",
                archived=True,
                released=True,
                external_project=ExternalProjectResource(
                    id=1,
                    external_project_id="external_project_id_example",
                    external_project_key="external_project_key_example",
                    name="name_example",
                ),
                web_url="web_url_example",
            ),
            release_statistics=ReleaseStatisticsResource(
                id=1,
                release=ReleaseResource(ReleaseResource),
                total_passed=1,
                total_failed=1,
                total_execution=1,
            ),
        ),
    ) # RunConfigurationResource | 
    verify_run_configuration = False # bool |  (optional) if omitted the server will use the default value of False

    # example passing only required values which don't have defaults set
    try:
        # Creates or updates a Test Plan. Returns the Test Plan detail.
        api_response = api_instance.create_or_update_configuration(run_configuration_resource)
        pprint(api_response)
    except testops_api.ApiException as e:
        print("Exception when calling TestPlanApi->create_or_update_configuration: %s\n" % e)

    # example passing only required values which don't have defaults set
    # and optional values
    try:
        # Creates or updates a Test Plan. Returns the Test Plan detail.
        api_response = api_instance.create_or_update_configuration(run_configuration_resource, verify_run_configuration=verify_run_configuration)
        pprint(api_response)
    except testops_api.ApiException as e:
        print("Exception when calling TestPlanApi->create_or_update_configuration: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **run_configuration_resource** | [**RunConfigurationResource**](RunConfigurationResource.md)|  |
 **verify_run_configuration** | **bool**|  | [optional] if omitted the server will use the default value of False

### Return type

[**RunConfigurationResource**](RunConfigurationResource.md)

### Authorization

[basicScheme](../README.md#basicScheme)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete6**
> RunConfigurationResource delete6(id)

Deletes a Test Plan. Returns the deleted Test Plan detail.

### Example

* Basic Authentication (basicScheme):
```python
import time
import testops_api
from testops_api.api import test_plan_api
from testops_api.model.run_configuration_resource import RunConfigurationResource
from pprint import pprint
# Defining the host is optional and defaults to https://testops.katalon.io
# See configuration.py for a list of all supported configuration parameters.
configuration = testops_api.Configuration(
    host = "https://testops.katalon.io"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicScheme
configuration = testops_api.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with testops_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = test_plan_api.TestPlanApi(api_client)
    id = 1 # int | 

    # example passing only required values which don't have defaults set
    try:
        # Deletes a Test Plan. Returns the deleted Test Plan detail.
        api_response = api_instance.delete6(id)
        pprint(api_response)
    except testops_api.ApiException as e:
        print("Exception when calling TestPlanApi->delete6: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int**|  |

### Return type

[**RunConfigurationResource**](RunConfigurationResource.md)

### Authorization

[basicScheme](../README.md#basicScheme)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **link_release1**
> RunConfigurationResource link_release1(id, project_id, release_id)

Link an Run Configuration to a Release. Returns the updated Run Configuration detail.

### Example

* Basic Authentication (basicScheme):
```python
import time
import testops_api
from testops_api.api import test_plan_api
from testops_api.model.run_configuration_resource import RunConfigurationResource
from pprint import pprint
# Defining the host is optional and defaults to https://testops.katalon.io
# See configuration.py for a list of all supported configuration parameters.
configuration = testops_api.Configuration(
    host = "https://testops.katalon.io"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicScheme
configuration = testops_api.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with testops_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = test_plan_api.TestPlanApi(api_client)
    id = 1 # int | 
    project_id = 1 # int | 
    release_id = 1 # int | 

    # example passing only required values which don't have defaults set
    try:
        # Link an Run Configuration to a Release. Returns the updated Run Configuration detail.
        api_response = api_instance.link_release1(id, project_id, release_id)
        pprint(api_response)
    except testops_api.ApiException as e:
        print("Exception when calling TestPlanApi->link_release1: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int**|  |
 **project_id** | **int**|  |
 **release_id** | **int**|  |

### Return type

[**RunConfigurationResource**](RunConfigurationResource.md)

### Authorization

[basicScheme](../README.md#basicScheme)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **unlink_release1**
> RunConfigurationResource unlink_release1(id)

Unlink an Run Configuration to a Release. Returns the updated Run Configuration detail.

### Example

* Basic Authentication (basicScheme):
```python
import time
import testops_api
from testops_api.api import test_plan_api
from testops_api.model.run_configuration_resource import RunConfigurationResource
from pprint import pprint
# Defining the host is optional and defaults to https://testops.katalon.io
# See configuration.py for a list of all supported configuration parameters.
configuration = testops_api.Configuration(
    host = "https://testops.katalon.io"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicScheme
configuration = testops_api.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with testops_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = test_plan_api.TestPlanApi(api_client)
    id = 1 # int | 

    # example passing only required values which don't have defaults set
    try:
        # Unlink an Run Configuration to a Release. Returns the updated Run Configuration detail.
        api_response = api_instance.unlink_release1(id)
        pprint(api_response)
    except testops_api.ApiException as e:
        print("Exception when calling TestPlanApi->unlink_release1: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int**|  |

### Return type

[**RunConfigurationResource**](RunConfigurationResource.md)

### Authorization

[basicScheme](../README.md#basicScheme)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

